<?php
/**
 * @package		##package##
 * @subpackage	##subpackage##
 * @author		##author##
 * @copyright 	##copyright##
 * @license		##license##
 * @version		##version##
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


/**
 * Form Field class for the Joomla Framework.
 *
 * @package		Mod_zentools
 * @subpackage	Form
 * @since		1.6
 */

class JFormFieldAppearance extends JFormField
{
	protected $type = 'Appearance';

	protected function getInput()
	{
		
		include (JPATH_ROOT.'/templates/'.TEMPLATE.'/includes/helpers/galleryhelper.php');
		
		// Get list of layouts
		$homelayoutpath		= JPATH_ROOT.'/templates/'.TEMPLATE.'/tpls/home';
		$files = JFolder::files($homelayoutpath,'', false, false );
		
		$use_disqus = 0;
		$disqus_load = JPATH_ROOT.'/templates/'.TEMPLATE.'/tpls/blocks/disqus.php';
		
		if(!JFile::exists($disqus_load)) {
			$use_disqus = 1;
		}
		
		$homelayouts ='';
		
		foreach ($files as $key => $homelayout)
		{
			
			if($homelayout !=="index.html") {
				$homelayouts .= '<li>';
				$homelayouts .= '<a id="'.JFile::stripExt($homelayout).'" data-id="'.JFile::stripExt($homelayout).'" href="#">'.JFile::stripExt(ucfirst(str_replace('home-','',$homelayout))).'</a>';
				$homelayouts .= '</li>';
			}
		}	
		
		$lb_elements = gallery::get_lightbox_elements();
		$app = JFactory::getApplication();
	
		// Check to see if Discuss is installed
	
		
		ob_start(); ?>
		

		<script>
			jQuery(document).ready(function ($) {
			
			var template = '<?php echo TEMPLATE;?>';
			
			<?php 
			if ($use_disqus)
			{ ?>
				$('#disqusheading,#disqusdesc').remove();
				$('#jform_params_disqus-lbl').parent().parent().remove();
				$('#jform_params_disqus_name-lbl').parent().parent().remove();
			<?php }
			
			?>
			
			// Theme Panel Settings
   			function getSettings() {
	   			var menuposition = $('#menuposition li.uk-active a').attr('id');
	   			var basetheme = $('#base-theme li.uk-active a').attr('data-id');
	   			var basestyles = $('#base-styles li.uk-active a').attr('data-id');
	   			var hidefirst = $('#hide-first li.uk-active a').attr('data-id');
			    var frontpage = $('#front-layout li.uk-active a').attr('data-id');
			    var menutrigger = $('#menu-trigger-text').val();
			    var displaythumbs = $('#menu-thumbs li.uk-active a').attr('data-id');
			    var lightbox = $('#lightbox-option li.uk-active a').attr('data-id');
			    var templatewidth = $('#template-width').val();
			    var imagestyle = $('#image-style li.uk-active a').attr('data-id');
			    var gallerysetting = $('#gallery-setting li.uk-active a').attr('data-id');
			    var templatewidth = "";
			    
			    var lightboxelements = '';
			   
			    $('#lightbox-elements li').each(function() {
			    	if($(this).hasClass('uk-active')) {
			    		lightboxelements += $(this).find('a').attr('data-id');
			    		lightboxelements += '-';
			    	}
			    });
			   
		
			    $('#jform_params_settings').val(menuposition + '|' + hidefirst + '|' + frontpage  + '|' + menutrigger + '|' + displaythumbs + '|' + templatewidth + '|' + basetheme + '|' + lightbox + '|' + imagestyle + '|' + gallerysetting + '|' + lightboxelements + '|' + basestyles);
			    
			   var bgimage = $('#bg-image-holder img.active').attr('src');
			    
			    // Used to restore previous value
			    if(typeof bgimage === "undefined") {
			    	bgimage = $('#current-bg-image img').attr('src');
			    }
			    
			    $('#current-bg-image img').attr('src', bgimage);
				
			    var activefolder = $('#bg-images li.uk-active a').attr('id');
			    $('#jform_params_bgimage').val(activefolder + '|' + bgimage);
			    
			    $('#jform_params_private_gallery_text').val($('#private-gallery-text').val());
			    $('#jform_params_home_menu_text').val($('#home-menu-text').val());
			    $('#jform_params_gallery_not_found').val($('#gallery-not-found-text').val());
			    $('#jform_params_download_text').val($('#download-text').val());
		    }
		    
		    
		    var loader = function (folder, container) {
            	url = '../?template=' + template +'&tmpl=ajax&function=helper-get-images&folder=' + folder;
    
            	$.ajax({
            	    url: url,
            	    method: 'get',
            	    context: document.body,
            
            	    beforeSend: function () {
            	    	$('#library-loader .loading').fadeIn();
            	    	$(container).hide();
            	    },
            
            	    success: function (data) {
            	        $('#library-loader .loading').fadeOut('fast', function () {
            	        	$(container).hide().html(data).fadeIn();
            	        });
                    },
    			});
    		};
		    
		     
		     
		    // Set Theme Panel Settings
		    function setSettings() {
	     		var settings = $('#jform_params_settings').val();
	     		var bgsettings = $('#jform_params_bgimage').val();

	     		settings = settings.split('|');
	     		$('#menuposition a#'+settings[0]).parent().addClass('uk-active');
	     		$('#hide-first a[data-id="'+settings[1] +'"]').parent().addClass('uk-active');
	         	$('#front-layout a[data-id="'+settings[2] +'"]').parent().addClass('uk-active');
	         	$('#menu-trigger-text').val(settings[3]);
	         	$('#menu-thumbs a[data-id="'+settings[4] +'"]').parent().addClass('uk-active');
	         	$('#base-theme a[data-id="'+settings[6] +'"]').parent().addClass('uk-active');
	         	$('#base-styles a[data-id="'+settings[11] +'"]').parent().addClass('uk-active');
	         	$('#lightbox-option a[data-id="'+settings[7] +'"]').parent().addClass('uk-active');
	         	$('#image-style a[data-id="'+settings[8] +'"]').parent().addClass('uk-active');
	         	$('#gallery-setting a[data-id="'+settings[9] +'"]').parent().addClass('uk-active');
	         	
	         	
	         	// Lightbox Elements
	         	if(typeof settings[10] !=="undefined") {
	         		var lightboxelements = settings[10].split('-');
	         	
	         		$(lightboxelements).each(function() {
	         			
	         			$('#lightbox-elements a[data-id="'+ this +'"]').parent().addClass('uk-active');
	         			
	         		});
	         	}
	         	
	         	
	         	bgsettings = bgsettings.split('|');
	         	$('#bg-images-list li').removeClass('uk-active');
	         	$('#bg-images-list li:contains("'+bgsettings[0]+'")').addClass('uk-active');
	         	
	         	var folder = bgsettings[0];
	         	var container = '#bg-image-holder';
	         	loader(folder, container);
	         	
	         	if(bgsettings[1] !=="undefined") {
	         		$('#current-bg-image img').show().attr('src', bgsettings[1]);
	         	} else {
	         		$('#current-bg-image img').hide();
	         	}
	         	
	         	$("#bg-image-holder img").each(function() {
	         			if($(this).attr('data-title') =='Leave+me+alone.jpg') {
	         				alert($(this).attr('src')).parent().parent().addClass('Woah');
	         			}
	         	});
	         	
	         	$('#private-gallery-text').val($('#jform_params_private_gallery_text').val());
	         	$('#home-menu-text').val($('#jform_params_home_menu_text').val());
	         	$('#gallery-not-found-text').val($('#jform_params_gallery_not_found').val());
	         	$('#download-text').val($('#jform_params_download_text').val());         
	         }
		     
		     
	     	setSettings(); 
		    
		     
		    $(document).on('click', '#bg-image-holder img', function() {
		     	$('#bg-images img').removeClass('active');
		     	$('#current-bg-image img').fadeIn();
		     	$(this).addClass('active');
		    });
		    
		    $(document).on('click', '#menuposition a', function() {
		     	$('#menuposition a').parent().removeClass('uk-active');
		     	$(this).parent().addClass('uk-active');
		     	getSettings();
		     	return false;
		    });
		   
		   
		   $(document).on('change', '#warning-settings input', function() {
		    	getSettings();
		   }); 
		    
		    
		    
		    $(document).on('click', '#base-theme a', function() {
		     	$('#base-theme a').parent().removeClass('uk-active');
		     	$(this).parent().addClass('uk-active');
		     	getSettings();
		     	return false;
		    });
		    
		    $(document).on('click', '#base-styles a', function() {
		     	$('#base-styles a').parent().removeClass('uk-active');
		     	$(this).parent().addClass('uk-active');
		     	getSettings();
		     	return false;
		    });
		    
		    $(document).on('click', '#gallery-setting a', function() {
		     	$('#gallery-setting a').parent().removeClass('uk-active');
		     	$(this).parent().addClass('uk-active');
		     	getSettings();
		     	return false;
		    });
		    
		    $(document).on('click', '#hide-first a', function() {
		     	$('#hide-first a').parent().removeClass('uk-active');
		     	$(this).parent().addClass('uk-active');
		     	getSettings();
		     	return false;
		    });
		    
		    $(document).on('click', '#lightbox-option a', function() {
		     	$('#lightbox-option a').parent().removeClass('uk-active');
		     	$(this).parent().addClass('uk-active');
		     	getSettings();
		     	return false;
		    });
		    
		    $(document).on('click', '#lightbox-elements a', function() {
		     	
		     	$(this).parent().toggleClass('uk-active');
		     	getSettings();
		     	return false;
		    });
		    
		    $(document).on('click', '#front-layout a', function() {
		     	$('#front-layout a').parent().removeClass('uk-active');
		     	$(this).parent().addClass('uk-active');
		     	getSettings();
		     	return false;
		    });

			$(document).on('click', '#menu-thumbs a', function() {
			 	$('#menu-thumbs a').parent().removeClass('uk-active');
			 	$(this).parent().addClass('uk-active');
			 	getSettings();
			 	return false;
			});
			
			$(document).on('click', '#image-style a', function() {
			 	$('#image-style a').parent().removeClass('uk-active');
			 	$(this).parent().addClass('uk-active');
			 	getSettings();
			 	return false;
			});
			
					     
		     
		    $(document).on('click','#base-theme', function() {
		     	getSettings();
		    });
		    
		    $(document).on('click', '#bg-image-holder', function() {
		     	$('#base-theme #bg').addClass('active');
		     	getSettings();
		     	
		    });
		     
		     
		    $(document).on('change','#theme-settings', function() {
		     	getSettings();
		    });
		     
		    $('#background').click(function() {
		     	$('#bg-images').slideDown();
		    });
		     
		    $('#light,#dark').click(function() {
		     	$('#bg-images').slideUp();
		    });
		     
		    if($('#background').parent().hasClass('uk-active')) {
		     	$('#bg-images').slideDown();
		    }
		     
		 });
		 </script>
		
				<div id="theme-settings">
					<div class="divider"></div>
					<div class="clearfix"></div>
					<div style="float:left;width:45%">
						<h3>Frontpage Display</h3>
						<ul id="front-layout" class="uk-subnav-pill uk-subnav">
							<?php echo $homelayouts;?>
						</ul>
					</div>
					<h3>Menu position</h3>
					<div id="menuposition">
						<ul class="uk-subnav-pill uk-subnav">
							<li>
								<a id="top" href="#">Top</a>
							</li>
							<li>
								<a id="bottom" href="#">Bottom</a>
							</li>
							<li>
								<a id="offcanvas" href="#">Offcanvas</a>
							</li>
						</ul>
					</div>
					<div class="divider"></div>
					<div class="clearfix"></div>
					<div style="float:left;width:45%">
						<h3>Hide gallery if gallery locked</h3>
						<p>If any galleries are locked they will not be visible until the user logs in..</p>
						<ul id="hide-first" class="uk-subnav-pill uk-subnav">
							<li>
								<a data-id="1" href="#">Yes</a>
							</li>
							<li>
								<a data-id="0" href="#">No</a>
							</li>
						</ul>
					</div>
					
					<div style="float:left;width:45%">
						<h3>Display thumbnails in menu</h3>
						<p>The first image from the gallery will be used as  thumbnail in the menu.</p>
						<ul id="menu-thumbs" class="uk-subnav-pill uk-subnav">
							<li>
								<a data-id="1" href="#">Yes</a>
							</li>
							<li>
								<a data-id="0" href="#">No</a>
							</li>
						</ul>
					</div>
					<div class="divider"></div>
					<div class="clearfix"></div>
					
					<div style="float:left;width:45%">
						<h3>Enable lightbox</h3>
						<p>Images will appear in a lightbox when clicked.</p>
						<ul id="lightbox-option" class="uk-subnav-pill uk-subnav">
							<li>
								<a data-id="1" href="#">Yes</a>
							</li>
							<li>
								<a data-id="0" href="#">No</a>
							</li>
						</ul>
						<p>Display the following elements in the lightbox</p>
						<ul id="lightbox-elements" class="uk-subnav-pill uk-subnav">
							<?php foreach($lb_elements as $element) { ?>
							<li>
								<a data-id="lb_<?php echo $element;?>" href="#"><?php echo ucfirst($element);?></a>
							</li>
							<?php }?>
						</ul>
					</div>
					<div style="float:left;width:45%">
						<h3>Image Style</h3>
						<p>Determines any extra styling applied to the images.</p>
						<ul id="image-style" class="uk-subnav-pill uk-subnav">
							<li>
								<a data-id="none" href="#">none</a>
							</li>
							<li>
								<a data-id="border" href="#">Border</a>
							</li>
							<li>
								<a data-id="rounded" href="#">Rounded</a>
							</li>
							<li>
								<a data-id="shadow" href="#">Shadow</a>
							</li>
						</ul>
					</div>
					<div class="divider"></div>
					
				</div>
				
		<?php
		return ob_get_clean();
	}
	
	function getLabel()
	{
		return '';
	}
	
}