<?php
/**
 * @package		##package##
 * @subpackage	##subpackage##
 * @author		##author##
 * @copyright 	##copyright##
 * @license		##license##
 * @version		##version##
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


/**
 * Form Field class for the Joomla Framework.
 *
 * @package		Mod_zentools
 * @subpackage	Form
 * @since		1.6
 */

class JFormFieldBasetheme extends JFormField
{
	protected $type = 'Basetheme';

	protected function getInput()
	{
		
		
		// Get list of layouts
		$hilitepath		= JPATH_ROOT.'/templates/'.TEMPLATE.'/less/themes/';
		$files = JFolder::files($hilitepath,'', false, false );
		
		$themes ='';
		
		foreach ($files as $key => $hilite)
		{
			
			if($hilite !=="index.html") {
				$themes .= '<li>';
				$themes .= '<a id="'.JFile::stripExt($hilite).'" data-id="'.JFile::stripExt($hilite).'" href="#">'.JFile::stripExt(ucfirst($hilite)).'</a>';
				$themes .= '</li>';
			}
		}	
		
		
		
		// Get list of layouts
		$stylepath		= JPATH_ROOT.'/templates/'.TEMPLATE.'/less/styles/';
		$styles = JFolder::files($stylepath,'', false, false );
		
		$themestyle ='';
		
		foreach ($styles as $key => $style)
		{
			
			if($style !=="index.html") {
				$themestyle .= '<li>';
				$themestyle .= '<a id="'.JFile::stripExt($style).'" data-id="'.JFile::stripExt($style).'" href="#">'.JFile::stripExt(ucfirst($style)).'</a>';
				$themestyle.= '</li>';
			}
		}	
		
		ob_start(); ?>
		
			<div id="theme-settings">
				<h3>Base Theme</h3>
				<p>The base theme determines the styling applied to the entire template. You can create your own theme by adding your less file to the less/themes/ folder.</p>
				<div id="base-theme-message"></div>
				<ul id="base-theme" class="uk-subnav-pill uk-subnav">
					<?php echo $themes;?>
				</ul>	
				
				<div id="bg-images" class="hide panel">
					<h3>Click on a folder to select an image to use for your background</h3>
					<div class="padding">
						<div id="current-bg-image-wrap" style="width:20%;float: left;">
							<p>Current Image</p>
							<div id="current-bg-image">
								<img class="border" src="" alt="Background Image" />
							</div>
						</div>
						<div style="width:75%;float: right;">
							
							<ul class="uk-subnav-pill uk-subnav" id="bg-images-list"></ul>
						
							<div id="bg-image-holder"></div>
						</div>
					</div>
				</div>
				<div class="divider"></div>
				
				<h3>Item Styles</h3>
				<p>The item styles determines the styling applied to items within the gallery. You can create your own theme by adding your less file to the less/styles/ folder.</p>
				<ul id="base-styles" class="uk-subnav-pill uk-subnav">
					<li><a id="none" data-id="none" href="#">None</a></li>
					<?php echo $themestyle;?>
				</ul>
				
			</div>
			
			
			<script>
				jQuery(document).ready(function ($) {
													
					$(document).on('click', '#base-theme a', function() {
					   	$('#base-theme-message').html('<p class="please-save uk-alert-success uk-alert">Your settings have changed. Please ensure you press compile less to css below before saving your changes.</p><p><a href="#" class="uk-button-primary uk-button compiler">Click to compile CSS</a></p><br /><p><a href="#" class="uk-button-primary uk-button compresser">Click to update javascript.</a></p><br />').fadeIn();
					});
					
					$(document).on('click', '#toolbar-apply button,#toolbar-save button', function() {
						if($('#base-theme-message p').hasClass('please-save')) {
							alert('Please compile less to css before saving your changes');
							return false;
						}
					}); 
					
					$(document).on('click', '.compiler', function() {
						$('#base-theme-message p.uk-alert').remove();
						
					});     
				});
			</script>
			
				
		<?php
		return ob_get_clean();
	}
	
	function getLabel()
	{
		return '';
	}
	
}