<?php
/**
 * @package		##package##
 * @subpackage	##subpackage##
 * @author		##author##
 * @copyright 	##copyright##
 * @license		##license##
 * @version		##version##
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


/**
 * Form Field class for the Joomla Framework.
 *
 * @package		Mod_zentools
 * @subpackage	Form
 * @since		1.6
 */

class JFormFieldGallery extends JFormField
{
	protected $type = 'Gallery';

	protected function getInput()
	{
		
		if (!defined('TEMPLATE')) {
			define( 'TEMPLATE', basename(dirname(dirname(__FILE__))));
		}
		$doc =JFactory::getDocument();
		$doc->addStyleSheet( JURI::base().'../templates/'.TEMPLATE.'/includes/admin/css/gallery.css' );
		
		
		// Check to see if site is offline
		$config = JFactory::getConfig();
		$offline = $config['offline'];
		
		ob_start(); ?>
		
		<script src="<?php echo JURI::base()?>../templates/<?php echo TEMPLATE ;?>/includes/admin/js/jquery-ui-1.9.2.custom.min.js" type="text/javascript"></script>
		<script src="<?php echo JURI::base()?>../templates/<?php echo TEMPLATE ;?>/includes/admin/js/scripts.js" type="text/javascript"></script>
		
		<script>
		
			jQuery(document).ready(function ($) {
			
				function getUrlParameters(name) {
				    name = name.replace(/[\[]/, "\\[").replace(/[\]]/, "\\]");
				    var regex = new RegExp("[\\?&]" + name + "=([^&#]*)"),
				        results = regex.exec(location.search);
				    return results == null ? "" : decodeURIComponent(results[1].replace(/\+/g, " "));
				}
				
				
				var templateId = getUrlParameters('id');
			
				var template = '<?php echo TEMPLATE;?>';
				
				//
				//  Get list of folders
				//  We use the folderlist param to determine this
				//
			
				var folders = $('#folderlist').html();
		    	folders = folders.split(',');
		
		    	$(folders).each(function (i, value) {
		    	    $('#folders,#bg-images-list').append('<li><a href="#folder" id="' + value + '">' + value + '</a></li>');
		    	});
		
		    	$('#folders li:first-child').addClass('uk-active');
		    	$('#bg-images li:first-child').addClass('uk-active');
		    	
		    	//
		    	// Test for changes to any of the input fields
		    	//
		    	
		    	var edited;
		    	
		    	$('#gallery-images input').live('input', function(){
		    		edited = 1;
		    	}); 
		    			    	
		    	
		    	//	
				// Display images from folders
				//
				//
				
				$('#folders a').click(function () {
					var folder = jQuery(this).attr('id');
					var container = '#library';
				    loader(folder,container);
				    $('#folders li').removeClass('uk-active');
				    $(this).parent().addClass('uk-active')
				 
				    return false;
				});
				
				
				
				//	
				// Display images for bg
				//
				//
				
				$('#bg-images a').click(function () {
					var folder = jQuery(this).attr('id');
					var container = '#bg-image-holder';
				    loader(folder, container);
				    $('#bg-images li').removeClass('uk-active');
				    $(this).parent().addClass('uk-active')
				 	
				    return false;
				});
				
				
				//
				// Get images from folders
		    	//
		    	//
		    	
		    	var loader = function (folder, container) {
		        	url = '../?template=' + template + '&tmpl=ajax&function=helper-get-images&folder=' + folder;
		
		        	$.ajax({
		        	    url: url,
		        	    method: 'get',
		        	    context: document.body,
		        
		        	    beforeSend: function () {
		        	    	$('#library-loader .loading').fadeIn();
		        	    	$(container).hide();
		        	    },
		        
		        	    success: function (data) {
		        	        $('#library-loader .loading').fadeOut('fast', function () {
		        	        	$(container).hide().html(data).fadeIn();
		        	        });
		                },
					});
				};
				
				
				
				
				//
				//	Trigger Add Remote images
				//
				//
				
				$('#add-remote').live('click',function () {
					var remote = $('#newimage').val();
					get_remote(remote);
					return false;
				});
				
				
				
				//
				// Fucntion to get remote images
				//
				//
		    	var get_remote = function (image) {
		        	url = '../?template=' + template + '&tmpl=ajax&function=helper-get-remote-image&image=' + image;
		
		        	$.ajax({
		        	    url: url,
		        	    method: 'get',
		        	    context: document.body,
		        
		        	    beforeSend: function () {
		        	    	$('#add-remote').text('Please wait while we retrieve and prepare your remote image.');
		        	    	//$('.loading').fadeIn();
		        	    },
		        
		        	    success: function (data) {
		        	        $('.loading').fadeOut('fast', function () {
		        	        	jQuery('#library').hide().html(data).fadeIn();
		        	        	$('#add-remote').text('Add remote image.');
		        	 
		        	        });
		                },
					});
				};
				
		
		
				
		
				//
				// Save Theme
				//
				//
				
		    	var saver = function (name, content,templateId) {
		    	    url = '../?template=' + template + '&tmpl=ajax&function=helper-save-theme&name=' + name + '&templateid=' + templateId;
					

		    	    $.ajax({
		    	        url: url,
		    	        method: 'post',
		    	        context: document.body,
		    	        data: {
		    	        	content: content
		    	        },
		    	        beforeSend: function () {
		    	            $('#gallery-message-top').fadeIn()
		    	        },
		    	        success: function (data) {
		    	            $('#gallery-message-top').html(data).delay(3000).fadeOut('slow');
		    	            
		        	        getgalleries(templateId);
		        	    },
		        	});
		    	};
		    	
		    	
				    
		    
		    	//
		    	// get currently created galleries
		    	//
		    	//
		    	
		    	var getgalleries = function (templateId) {
		            
		            url = '../?template=' + template + '&tmpl=ajax&function=helper-get-galleries&templateid=' + templateId;
		 
		            $.ajax({
		                url: url,
		                method: 'get',
		                context: document.body,
		                
		                success: function (data) {
		                    $('#my-galleries').html(data);
		              	},
					});
		    	};
		     
		     
		     	//
		     	   	// get other galleries
		     	   	//
		     	   	//
		     	   	
		     	   	var getothergalleries = function (templateId) {
		     	           
		     	           url = '../?template=' + template + '&tmpl=ajax&function=helper-get-other-galleries&templateid=' + templateId +'&folder=' + template;
		     
		     	           $.ajax({
		     	               url: url,
		     	               method: 'get',
		     	               context: document.body,
		     	               
		     	               success: function (data) {
		     	                   $('#my-other-galleries').html(data);
		     	             	},
		     				});
		     	   	};
		     
		     
		     	
		      		
		      		
		      		//
		      		// Delete Images
		      		//
		      		//
		      		
		      		var delete_images = function (resized, templateId) {
		      		        
	      		        url = '../?template=' + template + '&tmpl=ajax&function=helper-image-delete&images=' + resized + '&templateid=' + templateId;
	      		
	      		        $.ajax({
	      		            url: url,
	      		            method: 'get',
	      		            context: document.body,
	      		            beforeSend: function () {
	            	                $('#gallery-message').fadeIn()
	            	            },
	            	            success: function (data) {
	            	               $('#gallery-message').html('Image removed from gallery.').delay(2000).fadeOut();
	            	            },
	      		
	      		        });
	      		    };  
	      		    
	      		    
	      		   
	      		    
	      		    
	      		    
	      		    
	      		    //
	      		    // Resize Image function
	      		    //
	      		    //
	      		    
	      		    var imageresize = function (image, ratio, initial) {
	      		    	
      		            url = '../?template=' + template + '&tmpl=ajax&function=helper-image-resize&image='+ image + '&ratio='+ ratio;
      		    		 
      		               		            
      		            $.ajax({
      		                url: url,
      		                method: 'get',
      		                
      		                context: document.body,
      		                beforeSend: function () {
      		                  	jQuery('#save-gallery').text('Resizing images, please wait ...');
      		                    jQuery('#the-gallery').fadeTo('normal', '0.05');
      		                    $('.loading').fadeIn();
      		                    
      		                },
      		                success: function (data) {
      		                	
      		                	if(data.charAt(10) =="F") {
      		                		alert('Warning: Image is too large. Unfortunately, the gallery is unable to reliably resize that file. This can occur for a number of reasons including the image file size is too large relative to the memory available on your server, or the dimensions of the image do not make it possible to crop an image based on your current crop ratio. You can fix this issue by increasing the size of your PHP memory limit on your server, choose a different crop ratio or resize the original image. In the meantime the original unsized image will be used instead.');
      		                		$('.new-item').remove();
      		                	}
      		                	else if(data.charAt(10) =="W") {
      		                		alert('Warning: The original image file for this item can not be found. Please ensure that the image can be found in the image folder.');
      		                		//jQuery('.new-item').remove();
      		                	} else if(data =="||||||") {
      		                		alert('Warning: Unable to resize images.');
      		                	
      		                	}
      		                	else {
      		                		$('.new-item .resized').val(data);
      		                	}
      		                		$('#save-gallery').text('Save Gallery');
      		                    	$('#the-gallery').fadeTo('normal', '1');
      		                    	$('#resize-message').fadeOut();
      		                   		$('.loading').fadeOut();
      		                   		
      		                   		if(!initial) {
	      		                   		var gallery = $('#current-state').text();
	      		                   			gallery = gallery.split('|');
	      		                   			gallery = gallery[0];
	      		                   		
	      		                   			checkgallery(gallery,templateId)
	      		                   	}
      		                   	 },
      		            });
      		         }; 

      		        //
      		        // Resize Image function
      		        // Uses the image resize function to re-resize the images
      		        //
      		        $('.refresh-images').live('click', function() {
      		        	var image = $(this).parent().parent().find('img').attr('data-file');
      		        	var ratio = $('#resize-ratio').val();
      		        	$('.gallery-item').removeClass('new-item');
      		        	$(this).parent().parent().parent().addClass('new-item');
      		        
      		        	imageresize(image, ratio, 0);
      		        
      		        });
      		        
      		        
      		        
      		       		     
		     
		     		//
			  		// Remove items from gallery
			  		// Also deletes cached image that arent already used elsewhere
			  		//
			  		
			    	$(document).on('click', '.remove', function () {
			    	
			    		var item = $(this).parent().parent().parent().html();
			    		
			    		if(!$(this).parent().parent().parent().hasClass('missing')) {
			    			$("#library").append('<li gallery-item>' + item + '</li>');
			    		}
			    		
			    		$(this).parent().parent().parent().fadeOut(
			    		
			    		function () {
			    			$(this).remove();
			    		});
			    		
			    		// Delete Resized Images
			    		var resized = $(this).parent().parent().parent().find('.resized');
			    		resized = $(resized).val();
			    		delete_images(resized,templateId);
			    		
			    		return false;
			    	});


					
					
							   			        
				// Get Galleries
				getgalleries(templateId);
				
				// Load banners as first folder
			    loader('banners');
			    
			    
			    
			    // Get Galleries
			    $('a#get-other-galleries').live('click',function () {
			   	 	getothergalleries(templateId);
			   	 	
		
				});
		
				// Featured images
			    $('a.favourite').live('click',function () {
			    	
			    	$(this).toggleClass('featured');
			    	
			    	if($(this).hasClass('featured')) {
			        	$(this).parent().parent().parent().find('.featured').val('1');
			        }
			        else {
			        	$(this).parent().parent().parent().find('.featured').val('0');
			        }
			    
			       	 return false;
			    });


				
				// Featured Gallery
				jQuery('.feature-gallery,.lock').live('click',function () {
					
					$(this).toggleClass('active');
					createorder();
					
					 return false;
				});
						    
		    
		    	
		    	jQuery(document).on('click', '#cancel-gallery', function () {
		    			
		    			$('#add-new').removeClass('uk-active');
		    			$('#gallery-existing').fadeIn();
		    			jQuery('#gallery-message').html('');
		    			$('#edit-gallery').fadeOut();
		    			jQuery('#current-state').text('');
		    			 return false;
		    			
		    	});
		    	
		    	
			    // Delete Galleries
			   	jQuery(document).on('click', '#save-gallery,#toolbar-apply button,#toolbar-save button', function () {
			
					if($('#create-gallery:visible').length == 0) {
						return;
					}
					
					
					
			        var gallery_name = $.trim(jQuery('#edit-gallery #gallery-name').val());
			        var gallery_clean = gallery_name.replace(/\-/g, ' ');
			        var current_state = $('#current-state').text();
			        var current_state = current_state.split('|');
			   		var name = current_state[0];
					var show_title = 0;
					
					
					
					if($('.display-title').is(':checked')) {
						show_title = 1;
					} 
					
					var show_description = 0;
					if($('.display-description').is(':checked')) {
						show_description = 1;
					} 
					
					if (gallery_name == "") {
			            alert('Please enter a name for your gallery.');
			             return false;
			        }
			        	gallery_name = gallery_name.replace(/ /g, '-');
			        	
			        var gallery_description = jQuery.trim(jQuery('#gallery-desc').val());
			        var gallery = '#gallery-images li';
			        var total = (jQuery(gallery).length - 1);
					
					// Get a numerical pattern that highlights featured items
					var featured_pattern = "";
			
			        // Start JSON Loop
			        var content = '';
			        content += '	{';
			        content +=  '	"name":"' + gallery_name + '",';
			        content +=  '	"description":"' + gallery_description + '",';
			        content +=  '	"show_title":"' + show_title + '",';
			        content +=  '	"show_description":"' + show_description + '",';
			        content +=  '	"images": [';
					
			        jQuery(gallery).each(function (i) {
			
			            var img = jQuery(this).find('img').attr('data-file');
			            var title = jQuery(this).find('.title').val();
			            var description = jQuery(this).find('textarea.description').val();
			            var author = jQuery(this).find('.author').val();
			            var link = jQuery(this).find('.link').val();
			            var link_title = jQuery(this).find('.link_title').val();
			            var date = jQuery(this).find('.date').val();
			            var resized = jQuery(this).find('input.resized').val();
						var featured = jQuery(this).find('input.featured').val();
						
						// set up the featured Pattern
						featured_pattern += featured;
						
						content +=  '	{';
			            content +=  '	"image":"' + img + '",';
			            content +=  '	"title":"' + title + '",';
			            content +=  '	"description":"' + description + '",';
			            content +=  '	"author":"' + author + '",';
			            content +=  '	"resized":"' + resized + '",';
			            content +=  '	"featured":"' + featured + '",';
			            content +=  '	"date":"' + date + '",';
			            content +=  '	"link_title":"' + link_title + '",';
			        	content +=  '	"link":"' + link + '"';
			            content +=  '	}';
			
			            if (i !== total) {
			                content = content + ',';
			            }
			
			        });
			
			        content += '	],';
			        content +=  '	"featured_pattern":"' + featured_pattern + '"}';
			      
					
			       //content = encodeURIComponent(content);
			
					//
					// If gallery is new or if the name has been changed
					//
					if(name !== gallery_name) {
						if ($("#my-galleries li#"+gallery_name).length > 0) { 
							alert("Warning: Can not save gallery. A gallery already exists with this name.");
							return false;
						}
					}
					
					// If the gallery name contains illegal characters
					if(/^[a-zA-Z0-9- ]*$/.test(gallery_name) == false) {
					    alert('Warning: Gallery names can only contain alphanumeric values i.e. letters and numbers.');
					     return false;
					}
					
					
					$('#gallery-area').removeClass('new-gallery');
					
					if ($("#my-galleries li:contains('"+gallery+"')").length == 0) { 
												
						var state = 'new';
						// Populate variables for the renamed item
						var details = $('#current-state').text();
							details = details.split('|');
							
						
						if(details[0] !=="") {
							// Remove the current list item thats been edited and renamed
							$('#my-galleries li#' + details[0]).remove();
							var state = 'edited';
							
							if(name !== gallery_name) {
								// Delete the current gallery
								deletegallery(details[0], templateId);
							}
						}
						
						if(details[2] == 1) {
							private = 'active';
						}
						else {
							private = '';
						}
						
						var existing_layout;
						if(typeof details[1] === 'undefined'){
							existing_layout = 'grid-2';
						} else {
							existing_layout = details[1];
						}
						
						if(details[3] == 1) {
							favourite = 'active';
						}
						else {
							favourite = '';
						}
			
						var position = (details[4]);	
						var size = $('#my-galleries li').size();
						
										
						if(state == 'edited' && (size > position)) {
							
							$('#my-galleries li:eq('+ position +')').before('<li id="' + gallery_name + '"><span class="lock ' + private + '"></span> <span class="feature-gallery ' + favourite  + '"></span><span class="current-layout">' + existing_layout  + '</span>' + gallery_clean + '</li>');

							
						} else {
							
							$('#my-galleries').append('<li id="' + gallery_name + '"><span class="lock ' + private + '"></span> <span class="feature-gallery ' + favourite  + '"></span><span class="current-layout">' + existing_layout  + '</span>' + gallery_clean + '</li>');	
						}
					}
					
					
					
					var galleries = '#my-galleries li';
					var totalgalleries = (jQuery(galleries).length - 1);
							
					var order = '[';
								
					$(galleries).not('.ui-state-highlight').each(function(i) {
					
						var name = $(this).attr('id');
						var lockstate = $('#' + name).find('.lock');
						var layout = $('#' + name).find('.current-layout').text();
						var featurestate = $('#' + name).find('.feature-gallery');
						var acl;
						var feature_state;
						
						if($(lockstate).hasClass('active')) {
							access = '1';
						}
						else {
							access = '0';
						}
						
						if($(featurestate).hasClass('active')) {
							feature_state = '1';
						}
						else {
							feature_state = '0';
						}
						
						if(name !=="undefined") { 
							order += '{';
							order += '"id":"gallery-' + i + '",';
							order += '"name":"' + name + '",';
							order += '"featured":"' + feature_state + '",';
							order += '"private":"' + access + '",';
							order += '"layout":"' + layout + '"';
							order += '';
							order += '}';
							
							
							if (i !== totalgalleries) {
							    order += ',';
							}
						}
					});
					
					order = order + ']';
					
			        url = '../?template=' + template + '&tmpl=ajax&function=helper-save-order&content=' + order + '&templateid=' + templateId;
					
					
			        jQuery.ajax({
			            url: url,
			            method: 'get',
			            context: document.body,
			            beforeSend: function () {
			                jQuery('#gallery-message-top').fadeIn()
			            },
			            success: function (data) {
			                jQuery('#gallery-message-top').html(data).delay(2000).fadeOut();
		
			            },
			
			        });
					
					
					
			        saver(gallery_name, content, templateId);
			        
			        // Show all galleries after save
			        $(this).addClass('uk-active');
			        $('#add-new').removeClass('uk-active');
			        $('#gallery-existing').fadeIn();
			        $('#edit-gallery').fadeOut();
			        $('#gallery-message-top').hide().html('<p class="uk-alert-success uk-alert">Gallery Saved</p>').fadeIn().delay(1000).fadeOut();
			        
			        jQuery('#current-state').text('');
			        return false;
			    });
			    
			    
			    var deletegallery = function (gallery, templateId) {
			            
			          	
			            url = '../?template=' + template + '&tmpl=ajax&function=helper-gallery-delete&delete=' + gallery + '&templateid=' + templateId;
			
			            jQuery.ajax({
			                url: url,
			                method: 'get',
			                context: document.body,
			                beforeSend: function () {
			                    jQuery('#gallery-message-top').fadeIn()
			                },
			                success: function (data) {
			                    jQuery('#gallery-message-top').html(data).delay(2000).fadeOut();
			                    
			                 },
			    
			            });
			     };
			     
			     
			     var checkgallery = function (gallery,templateid) {
			             
			           	
			             url = '../?template=' + template + '&tmpl=ajax&function=helper-check-gallery&gallery=' + gallery + '&templateid=' + templateid;
			     
			             jQuery.ajax({
			                 url: url,
			                 method: 'get',
			                 context: document.body,
			                 beforeSend: function () {
		                    	jQuery('#gallery-message').html('');
		                    	
		                    	jQuery('#gallery-message').html('<p class="alert alert-notice">Checking Gallery integrity ...</p>').fadeIn();
		                    
		                    	$('#gallery-images p.alert').each(function() {
		                    		$(this).remove();
		                   		});
			                 },
			                 success: function (data) {
			                     	jQuery('#gallery-message').html(data);
			 				},
			     
			             });
			
			      };
		     
		     
			     function createorder() {		
	     			var galleries = '#my-galleries li';
	     			var totalgalleries = (jQuery(galleries).length - 1);
	     			
	     			var order = '[';
	     			
	     			jQuery(galleries).not('.ui-state-highlight').each(function(i) {
	     				
	     				var name = $(this).attr('id');
	     				var lockstate = $('#' + name).find('.lock');
	     				var layout = $('#' + name).find('.current-layout').text();
	     				var featurestate = $('#' + name).find('.feature-gallery');
	     				var acl;
	     				var feature_state;
	     				
	     				if($(lockstate).hasClass('active')) {
	     					access = '1';
	     				}
	     				else {
	     					access = '0';
	     				}
	     				
	     				if($(featurestate).hasClass('active')) {
	     					feature_state = '1';
	     				}
	     				else {
	     					feature_state = '0';
	     				}
	     				
	     				
	     				
	     				if(name !=="undefined") { 
	     					order += '{';
	     					order += '"id":"gallery-' + i + '",';
	     					order += '"name":"' + name + '",';
	     					order += '"featured":"' + feature_state + '",';
	     					order += '"private":"' + access + '",';
	     					order += '"layout":"' + layout + '"';
	     					order += '';
	     					order += '}';
	     					
	     					
	     					if (i !== totalgalleries) {
	     					    order += ',';
	     					}
	     				}
	     				
	     			});
	     			
	     			order = order + ']';
	     			
	     	        url = '../?template=' + template + '&tmpl=ajax&function=helper-save-order&content=' + order + '&templateid=' + templateId;
	     	
	     	        jQuery.ajax({
	     	            url: url,
	     	            method: 'get',
	     	            context: document.body,
	     	            beforeSend: function () {
	     	               $('#gallery-message-top').fadeIn();
	     	               
	     	            },
	     	            success: function (data) {
	     	              $('#gallery-message-top').html('<p class="uk-alert-success uk-alert">Gallery Updated</p>').delay(2000).fadeOut();
	     	              
	     
	     	            },
	     	
	     	        });
	     	      }
		     
				    jQuery('.delete').live('click',function () {
			     		var gallery = jQuery(this).parent().attr('id');
			     	    deletegallery(gallery, templateId);
	
			     	    jQuery('#my-galleries li#' + gallery).remove();
			     	    
			     	    //Update the Gallery Order
			     	    createorder();
			     	    return false;
			     	});
	     	
	     	
	     		// Edit Galleries
	     		jQuery('#my-galleries .edit').live('click',function () {
	     			
	     			$('#gallery-existing').fadeOut();
	     			$('#edit-gallery').fadeIn();
	     			
	     			// Gather current details for editing
	     			var gallery = jQuery(this).parent().attr('id');  
	     			  			
	    			var layout = jQuery(this).parent().find('.current-layout').text();
					var position = jQuery(this).parent().index();
					
					
					checkgallery(gallery);
					
	    			if(layout == "") {
	    				layout = "grid-2";
	    			}
	    			var private = 0;
	    		
	    			if(jQuery(this).parent().find('.lock').hasClass('active')) {
	    				private = 1;
	    			}
	    			
	    			var favourite = 0;
	    				if(jQuery(this).parent().find('.feature-gallery').hasClass('active')) {
	    					favourite = 1;
	    			}
	    			
	    			$('#current-state').text(gallery + '|' + layout + '|' + private + '|' + favourite + '|' + position);
	     	    	
		     	    $(this).addClass('uk-active');
		     	   
		     	    
		     	   	
		     	   		     	    
		     	    var galleryURL = "../templates/<?php echo TEMPLATE ;?>/galleries/" + gallery + "_" + templateId + ".json";
		     	      
		     	      $.getJSON(galleryURL, function (json) 
		     	      {
		     	      	
		     	      	var gallery_clean = json.name.replace(/\-/g, ' ');
	     	      		$('#gallery-name').val(gallery_clean);
	     	      		
	     	      		json.description = json.description.replace(/\&lt;/g, '<');
	     	      		json.description = json.description.replace(/\&gt;/g, '>');
	     	      		$('#gallery-desc').val(json.description);
		     	      	
		     	      	
		     	      	// Reset checkboxes on load
		     	      	$(".display-title").prop('checked', false);
		     	      	$(".display-description").prop('checked', false);
		     	      	
		     	      	if(json.show_title == 1) {
		     	      		$(".display-title").prop('checked', true);
		     	      	}
		     	      	
		     	      	if(json.show_description == 1) {
		     	      		$(".display-description").prop('checked', true);
		     	      	}
		     	      	
		     	      	var imgList= "";
		     	    				     	        
		     	        $.each(json.images, function () {
		     	        
		     	        	var state = "";
		     	        	
		     	        	// Not sure why but sometimes the featured state would be lost
	     	        		if(this.featured == '') {
	     	        			this.featured = '1';
	     	        		}
	     	        		
	     	        		
		     	        	if(this.featured == '1') {
		     	        		var state = "featured";
		     	        	}
		
			     	         imgList += '<li class="gallery-item">';
			     	         imgList += '<div class="third"><img data-file="' + this.image + '" class="uk-thumbnail" src="../' + this.image + '"/>';
			     	         imgList += '<p class="toolbar"><a class="remove" href="#none"><span class="icon-remove"></span></a>';
			     	         imgList += '<a href="#none" class="favourite ' + state + '"><span class="icon-heart"></span></a>';
			     	         imgList += '<a href="#none" class="refresh-images"><span class="icon-refresh"></span></a></p>';
			     	         imgList += '</div>';
			     	         imgList += '<div class="two-thirds">';
			     	         imgList += '<input class="title" value="' + this.title + '"/>';
			     	         imgList += '<textarea class="description uk-form-large" placeholder="Description">' + this.description + '</textarea>';
			     	         imgList += '<input class="date" placeholder="Date" value="' + this.date + '"/>';
			     	         imgList += '<input class="author" placeholder="Author" value="' + this.author + '"/>';
			     	         imgList += '<input class="link_title" placeholder="Link Title" value="' + this.link_title + '"/>';
			     	         imgList += '<input class="link" placeholder="Link" value="' + this.link + '"/>';
			     	         imgList += '<input class="resized" placeholder="Resized" value="' + this.resized + '"/>';
			     	         imgList += '<input class="featured" value="' + this.featured + '"/>';
			     	         imgList += '</div>';
			     	         imgList += '</li>';
		     	        });
		     	        
		     	
		     	    
		     	       $('#gallery-images').hide().empty().append(imgList).fadeIn(1000);
		     	      });

		     	  	return false;
		     	});
		     	
		     	
		     	// Add New Gallery
		     	$('#add-new').click(function () {
		     		$('#gallery-menu button').removeClass('uk-active');
		     		$(this).addClass('uk-active');
		     		$('#gallery-existing').fadeOut();
		     		$('#edit-gallery').fadeIn();
		     		$('#gallery-images').empty();
		     		$('#gallery-name').val('');
		     		$('#gallery-desc').val('');
		     		$('#gallery-area .alert').remove();
		     		$('#gallery-area').addClass('new-gallery');
		     		return false;
		     	});
	     		
	     		// Show All Galleries
		     	$('#show-all').click(function () {
		     		$('#gallery-menu button').removeClass('uk-active');
		     		$(this).addClass('uk-active');
		     		
		     		$('#gallery-existing').fadeIn();
		     		$('#edit-gallery').fadeOut();
		     		
		     		return false;
		     	});
		     	
		     	
		     	// Add other galleries to the current gallery
		     	jQuery('#my-other-galleries .edit').live('click',function () {
		     	
		     		var other_gallery = $(this).parent();
		     		var id = $(other_gallery).attr('id');
		     		var appended = 0;
		     		var duped = false;
		     		var galleryid = $(this).parent().parent().find('h3:not(".not")').attr('data-id');
		     		var gallery_to_duplicate = id + '_' + galleryid;
		     		
		     		$('#my-galleries li').each(function() {
		     			
		     			// Check if a gallery with the same name exists
		     			if(($(this).attr('id') == id)) {
		     				
		     				var gallery_exists = true;
		     				
		     				if(gallery_exists) {
		     					
		     					$('#my-galleries li').each(function() {
		     						
		     						if(($(this).attr('id') == id + '-copy')) {
		     							duped = true;
		     							appended = 1;
		     							alert('A copy of ' + id + ' already exists. Please rename before continuing.');
		     						}
		     					
		     					});	
		     				}
		     				
		     				if(duped == false) {
		     					var title = $('#my-galleries li#' + id + ' .title').text();
		     					$('#my-galleries').append('<li id="' + id  +'-copy">' + $(other_gallery).html() + '</li>');
			     				$('#my-galleries li#' + id + '-copy .title').text(title + ' copy');
			     				appended = 1;
			     			}
			     		}
		     			
		     		});
		     	
		     		if(!appended) {
		     			$('#my-galleries').append('<li id="' + id  +'">' + $(other_gallery).html() + '</li>');
		     		}
		     		
		     		
		     		// We need to save the new layout with the appended
		     		// gallery
		     		
		     		var galleries = '#my-galleries li';
 					var totalgalleries = (jQuery(galleries).length - 1);
 							
 					var order = '[';
 								
 					$(galleries).not('.ui-state-highlight').each(function(i) {
 					
 						var name = $(this).attr('id');
 						var lockstate = $('#' + name).find('.lock');
 						var layout = $('#' + name).find('.current-layout').text();
 						var featurestate = $('#' + name).find('.feature-gallery');
 						var acl;
 						var feature_state;
 						
 						if($(lockstate).hasClass('active')) {
 							access = '1';
 						}
 						else {
 							access = '0';
 						}
 						
 						if($(featurestate).hasClass('active')) {
 							feature_state = '1';
 						}
 						else {
 							feature_state = '0';
 						}
 						
 						if(name !=="undefined") { 
 							order += '{';
 							order += '"id":"gallery-' + i + '",';
 							order += '"name":"' + name + '",';
 							order += '"featured":"' + feature_state + '",';
 							order += '"private":"' + access + '",';
 							order += '"layout":"' + layout + '"';
 							order += '';
 							order += '}';
 							
 							
 							if (i !== totalgalleries) {
 							    order += ',';
 							}
 						}
 					});
 					
 					order = order + ']';
 					
 			        url = '../?template=' + template + '&tmpl=ajax&function=helper-save-order&content=' + order + '&templateid=' + templateId;
 					
 					jQuery.ajax({
 			            url: url,
 			            method: 'get',
 			            context: document.body,
 			            beforeSend: function () {
 			                jQuery('#gallery-message-top').fadeIn()
 			            },
 			            success: function (data) {
 			                jQuery('#gallery-message-top').html(data).delay(2000).fadeOut();
 		
 			            },
 			        });
 			        
 			        
 			        // Now duplicate the gallery content
 			        var url = '../?template=' + template + '&tmpl=ajax&function=helper-duplicate-gallery&gallery=' + gallery_to_duplicate + '&templateid=' + templateId + '&galleryid=' + galleryid + '&duplicate=' + appended;
 			  
 			        jQuery.ajax({
        	            url: url,
        	            method: 'get',
        	            context: document.body,
        	            beforeSend: function () {
        	                jQuery('#gallery-message-top').fadeIn()
        	              
        	            },
        	            success: function (data) {
        	                if(data !=="") {
        	                	alert(data);
        	                }
        	            },
        	        });
 			        
		     	
		     	});
	     		// Make the list of images in the library div sortable
	 
				jQuery( "#library" ).sortable({
			    	connectWith: "#gallery-images",
			     	placeholder: "ui-state-highlight",
			     
			     	receive: function( event, ui ) {
			      	
			      		jQuery('#library .gallery-item').removeClass('new-item');
			      		ui.item.addClass("new-item");
			      		 
			      		var images = ui.item[0].outerHTML;
			      		var resized = $('.new-item .resized').val();
	
			      		delete_images(resized, templateId);
			      	
			    	  }
			 	}).disableSelection();
	   
	   
	   
	   			// Make the images in the gallery sortable
			   jQuery( "#gallery-images" ).sortable({
			     	connectWith: "#library",
			     	placeholder: "ui-state-highlight",
			     
			     	over: function(event, ui) {
			            
			            jQuery('#gallery-images .gallery-item').removeClass('new-item');
			             ui.item.addClass("new-item");
			            
			         },
			     
			     
			     	receive: function( event, ui ) {
			     
			     		var img = ui.item[0].outerHTML;
			     		var image = jQuery(img).find('img').attr('data-file');
			     		var ratio = $('#resize-ratio').val();
			     	
			     		imageresize(image, ratio, 1);
			     		edited = 1;
			        
			     	},
			   }).disableSelection();
			   
			   
			   // Make the list of galleries sortable
			   jQuery( "#my-galleries" ).sortable({
			    	
			    	placeholder: "ui-state-highlight",
			     
			    	stop: function( event, ui ) {
			     	
			     	 	createorder();
			     	 	
			     	}
			   }).disableSelection();
		   
		   
		   // Layout toggle
		   $('.layout-toggle').live('click', function () {
		   		$('.layout-menu').fadeOut();
			   	$(this).next().fadeToggle();
		   });
		   
		   $('.layout-menu a:not(.close-layout-menu)').live('click', function () {
		   		$('.layout-menu a').removeClass('active');
		   	   	$(this).addClass('active');
		   	   	$('.layout-menu').fadeOut();
		   	   	var layout = $(this).attr('data-id');
		   	   	$(this).parent().parent().parent().parent().find('.current-layout').text(layout);
		   	   	createorder();
		   });
		   
		   $('.close-layout-menu').live('click', function () {
		   		$('.layout-menu').fadeOut();
		   });
		   
		   $('#menu-position > div').click(function() {
		   		$('#menu-position div').removeClass('active');
		   		$(this).addClass('active');
		   });
		 
		 	$('#base-theme > div').click(function() {
		 			$('#base-theme div').removeClass('active');
		 			$(this).addClass('active');
		 	});  
		 	
   			
   			
		 });
		 </script>
		
		<div id="the-gallery">
			
				
				
				<div id="gallery-existing">
					<?php if($offline) { ?>
						<p class="uk-alert uk-warning">
							Please be aware that if your website is offline, you need to be logged in, in order to add, edit and update your galleries.
						</p>
					<?php } ?>
					<div class="panel">
						<h3  class="top">Current Galleries <div id="gallery-message-top"></div> <button href="#add-new" id="add-new" class="uk-button-primary uk-button">Add new gallery</button></h3>
						<p>Reorder Galleries in the list below to control the order in which they appear in your galleries menu. <br />The gallery order is automatically updated on your site when you change the order here.</p>
					</div>
					
					<div id="my-galleries-result"></div>
					<ul id="my-galleries">
					</ul>
					<p><a id="get-other-galleries" class="uk-button-primary uk-button">List Available Galleries</a></p>
					<ul id="my-other-galleries">
					</ul>
					
				</div>
				
				<div id="edit-gallery" class="hide">
					<div class="panel">
						<h3  class="top">Edit Gallery <button href="#save-gallery" id="save-gallery" class="uk-button-success uk-button">Save gallery</button><button href="#cancel-gallery" id="cancel-gallery" class="uk-button-danger uk-button">Cancel</button></h3>
						<p>This panel is where you edit existing and create new galleries.<br />Click on folder names in the image library to view your available images and then drag them into the gallery content area in the right column.</p>
						<p>Once finished click save at the top of the page and your gallery will be saved and viewable on your website.</p>
						<div id="gallery-message"></div>
					</div>
					<div id="the-library" class="third">
						<h3 class="top">Image Library</h3>
						<div class="panel noborder">
							<p><strong>Click on the folder names below to view available images. You can then drag these images into the gallery area on the right.</strong></p>
							<ul class="uk-subnav-pill uk-subnav" id="folders">						
							</ul>
						</div>
						<div class="panel">
							<div id="resize-message"></div>
							<div id="library-container">
								<div id="library-loader" >
									<div class="loading"><h2>Resizing Images ...</h2>
									  <i></i>
									  <i></i>
									  <i></i>
									</div>						
								</div>
								<ul id="library" class="connectedSortable"></ul>
							</div>
						</div>
						<div class="panel">
							<h3>Remote Images</h3>
							<div id="media-addon"></div>
							<p>Enter the url of an image you would like to use in the gallery.</p>
							<p>
								<input id="newimage" class="uk-form-large uk-form-width-large" placeholder="Enter url to image you want to include" value=""/>
							</p>
							
							<p><a id="add-remote" class="uk-button-primary uk-button">Add remote image</a></p>
							<div id="remote-image"></div>
						</div>
					</div>
					<div id="gallery-area" class="two-thirds uk-form-row">
						<h3 class="top">Gallery Details</h3>
										
						<div id="create-gallery">
							<form class="uk-form">
								<div class="gallery-padding">
									<p>	<label>Title</label>
										<input class="uk-form-large uk-form-width-large" id="gallery-name" value="" placeholder="Gallery Name">
									</p>
									<p>
										<label>Description (HTML Allowed)</label>
										<textarea class="uk-form-large uk-form-width-large" id="gallery-desc" value="" placeholder="Gallery Description"></textarea>
									</p>
									
									<div class="half">
										<label><input type="checkbox" class="display-title"> Display gallery title?</label>
										<label><input type="checkbox" class="display-description"> Display gallery description?</label>
										
									</div>
									<div class="half last">
									
										
										<p><strong>Image resize ratio</strong></p>
										
										<select id="resize-ratio">
											<option value="crop">Crop</option>
											<option value="square">Square</option>
											<option selected value="original">Original</option>
											<option value="landscape">Landscape</option>
										</select>
									</div>
								
									<div class="clearfix"></div>
								</div>
							</form>
							<div id="result"></div>
							<div class="gallery-container">
								<h3>Gallery Content - Add items here</h3>
								<div class="gallery-padding">
									<ul id="gallery-images" class="drag-to connectedSortable"></ul>
								</div>
							</div>
						</div>
					</div>
				</div>
						
		<div class="debug" id="current-state"></div>
		</div>
		<div id="loader-wrap">	
			<!-- Slideshow used for resizing images messages -->
			<div class="loading"><div id="messages" class="cycle-slideshow" data-cycle-slides="> div">
			   <div><h2>Resizing Images</h2></div>
			   <div><h2>Resizing Images</h2></div>
			   <div><h2>Please save your gallery when finished.</h2></div>
			   <div><h2>These are really beautiful images!</h2></div>
			</div>
			  <i></i>
			  <i></i>
			  <i></i>
			</div>
		</div>
		
		<?php
		return ob_get_clean();
	}
	
	function getLabel()
	{
		return '';
	}
	
}