<?php
/**
 * @package		##package##
 * @subpackage	##subpackage##
 * @author		##author##
 * @copyright 	##copyright##
 * @license		##license##
 * @version		##version##
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


/**
 * Form Field class for the Joomla Framework.
 *
 * @package		Mod_zentools
 * @subpackage	Form
 * @since		1.6
 */

class JFormFieldPresets extends JFormField
{
	protected $type = 'Presets';

	protected function getInput()
	{
		
		
		// Get list of layouts
		$hilitepath		= JPATH_ROOT.'/templates/'.TEMPLATE.'/settings/presets/';
		$files = JFolder::files($hilitepath,'', false, false );
		
		$options ='';
		$options .= '<h3>Select gallery layout</h3>';
		
		foreach ($files as $key => $hilite)
		{
			
			if($hilite !=="index.html") {
				$options .= '<option value="'.JFile::stripExt($hilite).'">'.JFile::stripExt($hilite).'</option>';
			}
		}	
		
		
		
		
		// Get preset settings
		
		ob_start(); ?>
		
		<div id="theme-settings" class="hide">
			<?php 
			foreach ($files as $key => $preset) {
				$theme = file_get_contents($hilitepath.$preset);
				$theme = json_decode($theme);
				
				$preset = JFile::stripExt($preset);
				echo '<div id="'.$preset.'">';
				
					foreach ($theme as $key => $setting) {
						echo $setting;
						echo ',';	
					}
				
				echo '</div>';
			} ?>
		</div>
		
		
		<script>
			jQuery(document).ready(function ($) {
			
			     // Apply Preset code
		        
		        $('#theme-preset').val('');
		        
		        
		        $(document).on('click', '#apply-preset', function() {
		        	
		        	var theme = $('#theme-preset').val();
		        	$('#theme-preset').val('---');
		        	
		        	
		        	var settings = $('#'+theme).text();
		        	settings = settings.split(',');
		     
		        	$(settings).each(function() {
		        		$('#jform_params_bootstrap').val(settings[0]);
		        		$('#jform_params_primary').val(settings[1]).parent().find('.minicolors-swatch span').css({'background': settings[1]});
		        		$('#jform_params_secondary').val(settings[2]).parent().find('.minicolors-swatch span').css({'background': settings[2]});
		        		$('#jform_params_menubg').val(settings[3]).parent().find('.minicolors-swatch span').css({'background': settings[3]});
		        		$('#jform_params_loader').val(settings[4]).parent().find('.minicolors-swatch span').css({'background': settings[4]});
		        		$('#jform_params_navbar').val(settings[7]).parent().find('.minicolors-swatch span').css({'background': settings[7]});
		        		$('#jform_params_basewidth').val(settings[5]);
		        		$('#jform_params_baseFontSize').val(settings[6]);
		        	});
		        	
		        	
		        	return false;
		        });
		        
		        
	        });
	        </script>
		
		<div class="left-offset">
			<h3>Theme Presets</h3>
			<p>Select a theme preset to apply. Click the compile to css button after applying a preset.</p>
			
			<select id="theme-preset">
				<?php echo $options;?>
			</select><a href="#" class="uk-button-primary uk-button" id="apply-preset">Load Preset</a>
		</div>
				
		<?php
		return ob_get_clean();
	}
	
	function getLabel()
	{
		return '';
	}
	
}