<?php
/**
 * @package		##package##
 * @subpackage	##subpackage##
 * @author		##author##
 * @copyright 	##copyright##
 * @license		##license##
 * @version		##version##
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


/**
 * Form Field class for the Joomla Framework.
 *
 * @package		Mod_zentools
 * @subpackage	Form
 * @since		1.6
 */

class JFormFieldSitemap extends JFormField
{
	protected $type = 'Sitemap';

	protected function getInput()
	{
		
		// Get Template Folder
		if (!defined('TEMPLATE')) {
			define( 'TEMPLATE', basename(dirname(dirname(__FILE__))));
		}
		
		// Get all template styles
		$db = JFactory::getDbo();
		$query = $db->getQuery(true);
		$query->select($db->quoteName(array('id','title','template')));
		$query->from($db->quoteName('#__template_styles'));
		
		$db->setQuery($query);
		$results = $db->loadObjectList();
		
		// Filter results for current template
		$gallery_instances = array();
		
		
		
		// Get preset settings
		
		ob_start(); ?>
		<div class="left-offset">
			<h3>Create a sitemap for your galleries</h3>
			<p>Search engines find it difficult to correctly index Ajax content.</p>
			<p>Creating a sitemap for your gallery will let Google and other search engines know where to look for your awesome gallery content.</p>
			<p>
				<a href="#" class="uk-button-primary uk-button sitemap">Click to create sitemap.</a>
			</p>
			<div id="sitemap-success"></div>
			<h3>Instances of the <?php echo ucfirst(TEMPLATE);?> template.</h3>
			
			<div id="sitemaps">
			<?php  
			
			foreach ($results as $key => $template) {
			
				if($template->template == TEMPLATE) { ?>
					<div class="uk-panel uk-panel-box">
						<h4><?php echo $template->title;?></h4>
						<label class="checkbox">
						     <input class="sitemap-checkbox" type="checkbox" data-id="<?php echo $template->id;?>" name="sitemap-check-<?php echo $template->id;?>" id="sitemap-check-<?php echo $template->id;?>"> Add this gallery to the sitemap
						    </label>
						
						<p><input class="uk-form-large uk-form-width-large" id="gallery-url-<?php echo $template->id;?>" data-id="<?php echo $template->id;?>" placeholder="" value="<?php echo JURI::root();?>" aria-invalid="false"></p>
						<p><small>Enter the url you have used this instance of the gallery on.</small></p>
					</div>	
			<?php	} 
			}  ?>
			</div>
			
			
		</div>
		<script>
			jQuery(document).ready(function ($) {
			
			//
		    // Resize Image function
		    //
		    //
		   
		   	var sitemap = function () {
		    	
		    	var template = "<?php echo TEMPLATE;?>";
	            var gallery_url = $('#site-map-url').val();
	    		var title = $('#jform_title').val();
	    		var templateIds = "";
	    		var anychecked = 0;
	    		
	    		
	    		
	    		$('#sitemaps .sitemap-checkbox').each(function() {
	    			var id = $(this).attr('data-id');
	    			var checked = $('input[name="sitemap-check-' + id +'"]:checked').length > 0;
	    			
	    			if(checked) {
	    				templateIds += id;
	    				templateIds += '-';
	    				templateIds += $('#gallery-url-'+id).val();
	    				templateIds += ',';
	    				anychecked = 1;
	    			}
	    		});
	    		
	    		if(!anychecked) {
	    			alert('You need to include at least one gallery instance in your sitemap.');
	    			return false;
	    		}
	    				
	    		url = '../?template='+template+'&tmpl=ajax&function=helper-sitemap&ids='+ templateIds;
	    		
	    		$.ajax({
	                url: url,
	                method: 'get',
	                context: document.body,
	                beforeSend: function () {
	                  	jQuery('.sitemap').text('Generating Sitemap').fadeIn();
	                   	                    
	                },
	                success: function (data) {
	                	$('#sitemap-success').html('<div class="uk-alert uk-alert-success"><p>Congratulations! You sitemap is now ready to download.</p><p><a class="uk-button uk-button-primary" target="_blank" href="<?php echo JURI::root();?>templates/presto/sitemaps/sitemap.xml">Download</a></p></div>');
	                	
	                	jQuery('.sitemap').text('Click to create Sitemap').fadeIn();
	                 }		
	            });
	         }; 

		        //
		        // Resize Image function
		        // Uses the image resize function to re-resize the images
		        //
		        $(document).on('click', '.sitemap', function() {
		        	sitemap();
		        	return false;
		        });
		        
		     });
	        </script>
			
				
		<?php
		return ob_get_clean();
	}
	
	function getLabel()
	{
		return '';
	}
	
}