<?php

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

if (!defined('TEMPLATE')) {
define( 'TEMPLATE', basename(dirname(__FILE__)));
}

// Import Joomla file system
jimport('joomla.filesystem.path');

// Add path variable
$path = JPATH_SITE . '/templates/' . $this->template.'/js/';
$asset_path = JPATH_SITE . '/templates/' . $this->template.'/tpls/assets/';

// Import Compile Library
require_once JPath::clean(__DIR__ . '/../classes/minifier.php');

// Retrieve current variables via ajax
$jinput = JFactory::getApplication()->input;
$templateId = $jinput->get('templateId');
$layouts = $jinput->get('layouts', '', 'RAW');
$type = $jinput->get('type', '1');
$lightbox = $jinput->get('lightbox', '0');


// get layouts used in this style
$layouts = explode(',', $layouts);

// Core Files
$files = array();
if($type) {
	
	$files[] = $path . 'lib/gallery.js';
	$files[] = $path . 'lib/hashchange.js';
	$files[] = $path . 'lib/dotimeout.js';
	$files[] = $path . 'lib/response.js';
	$files[] = $path . 'lib/imagesloaded.js';

} else {
	$files[] = $path . 'lib/template.js';
}


$grid_1_flag = 0;
$grid_2_flag = 0;
$grid_3_flag = 0;
$grid_4_flag = 0;
$marginless_flag = 0;
$featured_2_flag = 0;
$blank_flag = 0;
$featured_flag = 0;
$parallax_flag = 0;
$display_left_flag=0;
$display_right_flag=0;
$slideshow_flag=0;
$masonry_flag=0;
$photoset_flag = 0;
$backstretch_flag=0;
$fullscreen_flag=0;
$featured_slideshow_flag=0;
$split_flag=0;
$first_gallery_flag = 0;

foreach ($layouts as $key => $layout) {

	$layout = str_replace('-', '_', $layout);
	
	// Establish variables for each layout used
	if($layout !=="") {
	
		${$layout.'_flag'} = true;
	}
	
	// Check to see any asset files or settings exist
	$file = $asset_path.$layout.'.json';
	
	// If they do exists lets check flags or other requirements
	if (JFile::exists($file))
	{
		
		// Read the asset file
		$asset = JFile::read($file);
		$asset = json_decode($asset);
		
		// Check flags for core scripts
		$core = $asset->core;
		
		// Set core flags
		foreach ($core as $key => $flag) {
			${$key.'_flag'} = $flag;
		}
		
		$extrafiles = $asset->files;
		
		foreach ($extrafiles as $key => $file) {
			$files[] = $file;
		}
		
	}
	
}

// Check for requirements for the page
$homelayout = $jinput->get('homelayout');

// Check to see any asset files or settings exist
$homefile = $asset_path.$homelayout.'.json';

// If they do exists lets check flags or other requirements
if (JFile::exists($homefile))
{
	
	// Read the asset file
	$asset = JFile::read($homefile);
	$asset = json_decode($asset);
	
	// Check flags for core scripts
	$core = $asset->core;
	
	// Set core flags
	foreach ($core as $key => $flag) {
		${$key.'_flag'} = $flag;
	}
	
	$extrafiles = $asset->files;
	
	foreach ($extrafiles as $key => $file) {
		$files[] = $file;
	}
	
}


// Set backstretch flag if using background theme
$theme = $jinput->get('theme');

// Check to see any asset files or settings exist
$themefile = $asset_path.$theme.'.json';

// If they do exists lets check flags or other requirements
if (JFile::exists($themefile))
{
	
	// Read the asset file
	$asset = JFile::read($themefile);
	$asset = json_decode($asset);
	
	// Check flags for core scripts
	$core = $asset->core;
	
	// Set core flags
	foreach ($core as $key => $flag) {
		${$key.'_flag'} = $flag;
	}
	
	$extrafiles = $asset->files;
	
	foreach ($extrafiles as $key => $file) {
		$files[] = $file;
	}
	
}


if($lightbox) {
	$files[] = $path . 'lib/jquery.magnific.js';
}


if($slideshow_flag || $featured_slideshow_flag) {

	$files[] = $path . 'lib/responsiveslides.min.js';
}


if($masonry_flag) {
	$files[] = $path . 'lib/masonry.pkgd.min.js';
}

if($photoset_flag) {
	$files[] = $path . 'lib/jquery.photoset-grid.min.js';
}

if($backstretch_flag || $split_flag) {
	$files[] = $path . 'lib/backstretch.js';
}

$buffer ="";

foreach ($files as $file) {
	$buffer .= JFile::read($file) . "\n";	
}

// Minify all the scripts
$minifiedCode = \JShrink\Minifier::minify($buffer);

// Write the compressed file
JFile::write($path.'gallery.compressed.theme_'. $templateId.'.js', $minifiedCode);