<?php

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.filesystem.folder');

if (!defined('TEMPLATE')) {
define( 'TEMPLATE', basename(dirname(__FILE__)));
}


$jinput = JFactory::getApplication()->input;
$templateId = $jinput->get('templateid');
$folder = $jinput->get('folder');


// Get all template styles
$db = JFactory::getDbo();
$query = $db->getQuery(true);
$query->select($db->quoteName(array('id','title','template')));
$query->from($db->quoteName('#__template_styles'));

$db->setQuery($query);
$results = $db->loadObjectList();
$nogalleries = 1;


	// Get the id's of all common templates
	$common_templates = array();
	
	foreach ($results as $key => $template) {
	
		if($template->template == $folder) {
			
			if($template->id !== $templateId) {
				$common_templates[] = $template->id;
			}
			
				$common_templates[] = $templateId;
		}
	}
	
	
	
	foreach ($results as $key => $template) {
		if($template->template == $folder && $template->id !== $templateId) {
			
			echo '<h3 data-id="'.$template->id.'" class="more-galleries">'.$template->title.'</h3>';
			$nogalleries = 0;
			$gallery_path = 'templates/'.TEMPLATE.'/settings/gallery-order-'. $template->id .'.json';
			
			if(file_exists($gallery_path)) {
				echo '<p>Click on the title of the gallery below to duplicate the gallery and add to the current template style.</p>';
				$galleries = file_get_contents($gallery_path);
				$galleries = json_decode($galleries); 
				
				// Get list of layouts
				$layoutpath		= JPATH_ROOT.'/templates/'.TEMPLATE.'/tpls/layout/';
				$files = JFolder::files($layoutpath,'', false, false );
				
				$options ='';
				$options .= '<h3>Select gallery layout</h3>';
				foreach ($files as $key => $layout)
				{
					
					if($layout !=="index.html") {
						$options .= '<p>';
						$options .= '<a data-id="'.JFile::stripExt($layout).'" href="#'.$layout.'">';
						$options .= JFile::stripExt($layout);
						$options .= '</a>';
						$options .= '</p>';
					}
				}	
						
				
				
				foreach ($galleries as $key => $file) {
					
					$name = str_replace('-', ' ', $file->name);
					$id = str_replace(' ', '-', $file->name);
					
					$access = "";
				
					if(!isset($file->layout)) {
						$file->layout = "grid";
					}
					
					if($file->private) {
						$access = "active";
					}
					
					$featured = "";
					
					if($file->featured) {
						$featured = "active";
					}
					
					echo '<li id="'.$id.'"><span class="edit icon-edit"></span><span class="title edit">'.$name.'</span><span class="lock icon-lock '.$access.'"></span> <span class="feature-gallery '.$featured.' icon-heart"></span>';
					echo '<a href="#layout-menu" class="layout-toggle"><span class="icon-layout"></span><span class="current-layout">'.$file->layout.'</span></a>
					
					<div class="layout-menu" style="display:none">
					  	<a href="#close" class="close-layout-menu"><span class="icon-remove"></span></a>
					    <div>'. $options.'</div>
					</div>';
					echo '<span class="delete icon-delete"></span>';
					echo '<div class="current-details debug">'.$name.'|'.$file->private.'|'.$file->featured.'|'.$file->layout.'</div></li>';
				}
			}
			else {
			
				echo '<p class="uk-alert uk-alert-info">There are no galleries currently created for this template style.</p>';
			}
			
		}
		elseif ($template->template  && $template->id == $templateId) {
			
			$path = 'templates/'.TEMPLATE.'/galleries/';
			$files = JFolder::files($path);
			
			$orphaned = array();
			$used = array();
			
			foreach ($files as $key => $file) {
				
				if($file !=="index.html") {
				
					$cleanname = JFile::stripExt($file);
					$name = substr($cleanname, 0, -3);
					$old_id = substr($cleanname, -2);
					
					foreach ($common_templates as $key => $template) {
						if($old_id == $template) {
							$used[] = $file;
						}
					}
				}
			}
			
			$orphaned = array_diff($files, $used);
			$orphaned = array_filter($orphaned);

			if(!empty($orphaned)) {
			
				echo '<h3 class="not more-galleries">Orphaned Galleries</h3>';
				foreach ($orphaned as $key => $file) {
					
					if($file !=="index.html") {
					
						$name = JFile::stripExt($file);
						$old_id = substr($name, -2);
						
						
						$nogalleries = 0;
						$gallery_path = $path.$file;
						
						if(file_exists($gallery_path)) {
							
							
							$name = str_replace('-', ' ', $name);
							$name = substr($name, 0, -3);
							
							
							
							$layoutpath		= JPATH_ROOT.'/templates/'.TEMPLATE.'/tpls/layout/';
							$files = JFolder::files($layoutpath,'', false, false );
							
							$options ='';
							$options .= '<h3>Select gallery layout</h3>';
							foreach ($files as $key => $layout)
							{
								
								if($layout !=="index.html") {
									$options .= '<p>';
									$options .= '<a data-id="'.JFile::stripExt($layout).'" href="#'.$layout.'">';
									$options .= JFile::stripExt($layout);
									$options .= '</a>';
									$options .= '</p>';
								}
							}	
									
							$id = str_replace(' ', '-', $name);
							
							echo '<h3 data-id="'. $old_id.'"></h3>';
							echo '<li id="'.$id.'"><span class="edit icon-edit"></span><span class="title edit">'.$name.'</span><span class="lock icon-lock"></span> <span class="feature-gallery icon-heart"></span>';
							echo '<a href="#layout-menu" class="layout-toggle"><span class="icon-layout"></span><span class="current-layout">grid-2</span></a>
								
								<div class="layout-menu" style="display:none">
								  	<a href="#close" class="close-layout-menu"><span class="icon-remove"></span></a>
								    <div>'. $options.'</div>
								</div>';
							echo '<span class="delete icon-delete"></span>';
							echo '<div class="current-details debug">'.$name.'|0|0|grid-2</div></li>';					}
					}
				}
			}
		}
	}
	
	if($nogalleries) {
		echo '<p class="uk-alert">You have not created any other instances of the '. TEMPLATE. ' template. <br />When you create another instance of the '. TEMPLATE. ' template the galleries created in that style will be available here.</p>';
	}

?>