<?php
defined('_JEXEC') or die;

/* =====================================================================
Template:	Presto Gallery - Ajax Driven template gallery for Joomla
Author: 	Anthony Olsen Joomlabamboo
Version: 	1.0
Created: 	August 2013
Copyright:	Anthony Olsen - (C) 2013 - All rights reserved
/* ===================================================================== */

jimport('joomla.filesystem.file');
jimport('joomla.filesystem.folder');

#----------------------------- Layout Paths -----------------------------#
$layout_path = JPATH_THEMES . '/' . $this->template . '/tpls/blocks/';

// Define some variables that we reuse
$template = 'templates/' . $this->template;
$app            = JFactory::getApplication();
$doc  = JFactory::getDocument();
$base = $this->baseurl;
$templateId  	= $app->getTemplate('template')->id;
$itemid 		= $app->getMenu()->getActive()->id;


#----------------------------- Layout Paths -----------------------------#
$layout_path = JPATH_THEMES . '/' . $this->template . '/tpls/blocks/';



#----------------------------- Set defaults Parameters -----------------------------#

$useGallery = 1;


#----------------------------- Appearance Settings -----------------------------#

// Settings defined in Template admin
//menuposition|hidefirst|frontpage|menutrigger|displaythumbs|templatewidth|basetheme|lightbox|imagestyle|gallerysetting|lightboxelements|basestyles

$settings = $this->params->get("settings", 'top|1|home-grid|Menu|1|980px|light|1|border|1|title|none');
$settings = explode('|', $settings);

$menu_type = $settings[0];
$hide_first_image = $settings[1];
$frontpage = $settings[2];
$menutrigger = $settings[3];
$displaythumbs = $settings[4];
$base_theme = $settings[6];
$lightbox = $settings[7];
$imagestyle = $settings[8];


$useGallery = $settings[9];
$lightboxelements = $settings[10];
$style = $settings[11];
$pinterest = $this->params->get("pinterest", '1');
$twitter = $this->params->get("twitter", '1');
$twitter_name = $this->params->get("twitter_name", 'joomlabamboo');
$facebook = $this->params->get("facebook", '1');
$bootstrap = $this->params->get("bootstrap", '0');
$download_text = $this->params->get("download_text", 'Download');
$disqus = $this->params->get("disqus", '0');
$disqus_name = $this->params->get("disqus_name", '');
$jquery = $this->params->get("jquery", 'joomla');
$gplus = $this->params->get("gplus", '0');

if($disqus && $disqus_name =="") {
	$disqus= 0;
}

// Disqus wont work on normal J pages
if(!$useGallery) {
	$disqus= 0;
}

#----------------------------- Background Style -----------------------------#
$bgimage = $this->params->get("bgimage");

$bgimage = explode('|', $bgimage);

if($base_theme =='background') {
	if(is_array($bgimage)) {
		$bgimage = $bgimage[1];
	}
}




#----------------------------- Core CSS -----------------------------#


if($this->params->get("devmode")) {
	$doc->addStyleSheet($template . '/css/theme.css');
}
else {
	
	$theme = $template . '/css/theme-'. $templateId .'.css';
	
	if (JFile::exists($theme)) {
		$doc->addStyleSheet($template . '/css/theme-'. $templateId .'.css');
	} else {
		$doc->addStyleSheet($template . '/css/theme.css');
	}
}

// Custom CSS
$customcss = JPATH_THEMES . '/' . $this->template . '/css/custom.css';

if (file_exists($customcss)) {
	$doc->addStyleSheet($template . '/css/custom.css');
}





#----------------------------- jQuery, Core JS and Bootstrap -----------------------------#

if ($jquery == "Joomla") {
	
	JHtml::_('jquery.framework');
	
} elseif($jquery == "google") {
	
	$doc->addScript('//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js');
	
	// if using cdn we have to change the order that caption.js is loaded
	unset($doc->_scripts[JURI::root(true) . '/media/system/js/caption.js']);
	$doc->addScript(JURI::root(true) . '/media/system/js/caption.js');
	unset($doc->_scripts[JURI::root(true) . '/media/jui/js/jquery.min.js']);
	unset($doc->_scripts[JURI::root(true) . '/media/jui/js/jquery-noconflict.js']);
	unset($doc->_scripts[JURI::root(true) . '/media/jui/js/jquery-migrate.min.js']);
}


if($this->params->get("devmode")) {
	
	jimport('joomla.filesystem.folder');
	$jslib =  $template . '/js/lib';
	// Allowed filetypes
	//Now we read all jpg files and put them in an array.
	$jslib = JFolder::files($jslib);
	
	foreach ($jslib as $key => $file) {
		if($file !== 'template.js') {
			if($file !== 'index.html') {
				$doc->addScript($this->baseurl . '/' . $template . '/js/lib/'.$file);	
			}
		}
	}
}
else {
	$templatejs = $template . '/js/gallery.compressed.theme_' . $templateId.'.js';
	
	if (JFile::exists($templatejs)) {
		$doc->addScript($this->baseurl . '/' . $template . '/js/gallery.compressed.theme_' . $templateId.'.js');
		
		} else {
		$doc->addScript($this->baseurl . '/' . $template . '/js/gallery.js');
	}
	
}


if($bootstrap) {
	JHtml::_('bootstrap.framework');
}





#----------------------------- Logic for width of modules -----------------------------#
$bottom_widths = 0;
$top_widths = 0;
$below_menu_widths = 0;


$bottom_count = ($this->countModules('bottom1')?1:0)+ ($this->countModules('bottom2')?1:0)+ ($this->countModules('bottom3')?1:0)+ ($this->countModules('bottom4')?1:0);

if($bottom_count > 0 ) {
	$bottom_widths = 12 / $bottom_count;
}

$top_count= ($this->countModules('topmenu-1')?1:0)+ ($this->countModules('topmenu-2')?1:0)+ ($this->countModules('topmenu-3')?1:0)+ ($this->countModules('topmenu-4')?1:0);

if($top_count > 0 ) {
	$top_widths = 12/ $top_count;
}

$below_menu_count= ($this->countModules('belowmenu-1')?1:0)+ ($this->countModules('belowmenu-2')?1:0)+ ($this->countModules('belowmenu-3')?1:0)+ ($this->countModules('belowmenu-4')?1:0);

if($top_count > 0 ) {
	$below_menu_widths = 12/ $top_count;
}