<?php defined('_JEXEC') or die;
/* =====================================================================
Template:	Presto Gallery - Ajax Driven template gallery for Joomla
Author: 	Anthony Olsen Joomlabamboo
Version: 	1.0
Created: 	August 2013
Copyright:	Anthony Olsen - (C) 2013 - All rights reserved
/* ===================================================================== */

// Load template logic
define( 'TEMPLATE', basename(dirname(__FILE__)));

include JPATH_ROOT.'/templates/'.TEMPLATE.'/includes/helpers/galleryhelper.php';
include JPATH_THEMES . '/' . $this->template . '/includes/classes/zen.php';
include JPATH_THEMES . '/' . $this->template . '/includes/logic.php'; 

// Only gets included int he index file
// If we include it elsewhere settings are drawn from default template
include JPATH_THEMES . '/' . $this->template . '/includes/params.php'; ?>

<!doctype html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" class="<?php echo $base_theme;?> bootstrap-<?php echo $bootstrap;?> style-<?php echo $style;?>">

<head>
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
	
	<meta name="HandheldFriendly" content="true" />
	<meta name="apple-mobile-web-app-capable" content="YES" />
	<jdoc:include type="head" />
	
	<?php echo $this->params->get("after_head_scripts");?>
	
	<?php include JPATH_THEMES . '/' . $this->template . '/includes/objects/fonts.php';?>

	<!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
	<!--[if lt IE 9]>
	<script src="//html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	
	<!-- Analytics -->
	<?php echo $this->params->get("before_head_scripts");?>
	
</head>
    <body id="<?php echo $frontpage;?>" class="<?php echo $menu_type;?> home image-<?php echo $imagestyle;?>">
   
   <?php if($facebook || $lb_facebook) { ?>
    <div id="fb-root"></div>
    <script>(function(d, s, id) {
      var js, fjs = d.getElementsByTagName(s)[0];
      if (d.getElementById(id)) return;
      js = d.createElement(s); js.id = id;
      js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&appId=238913602967026&version=v2.0";
      fjs.parentNode.insertBefore(js, fjs);
    }(document, 'script', 'facebook-jssdk'));</script>
    <?php } ?>
    
    <?php echo $this->params->get("after_body_scripts");?>
    
    <div id="page-wrap">
	    <div id="loading">
	      <div class="bar"></div>
	    </div>
	   
	    <!-- Main Gallery Container -->
	    <div id="gallery-type">
	    
	    	<?php // Top Menu
	    		if($menu_type == "top") { 	
	    		 include $layout_path.'/fixed-bar.php';
	    	} ?>
	    	
	    	<?php // Left Menu
	    		if($menu_type=="left" || $menu_type=="right") { 
	    			include $layout_path.'/sidebar.php';
	    	} ?>	
			
			<!-- Main Content - Gallery Area -->
			<div id="main" class="container <?php if(!$useGallery) { ?>content-page<?php } ?>">
				<div id="main-content">
					<a id="main-content-link"></a>
					
					<?php if($useGallery) { ?>
					<div id="gallery" style="display: none;">
						<!-- Placeholder for the Images - Images get dynamically loaded here  --> 
					</div>	
					
					
					<?php } else { ?>
						<div class="container-fix">
							<jdoc:include type="message" />
							<jdoc:include type="component" />
						</div>
						<?php include $layout_path.'/bottom-block.php'; ?>
					<?php } ?>					
				</div>
				
			</div>
					
		
		</div>	
		
		<div class="clearfix"></div>	
		
		
	</div>

		
<?php
// Bottom Menu
	if($menu_type == "bottom") { 	
		include $layout_path.'/fixed-bar.php';
} ?>


<?php // Offcanvas Menu
	if($menu_type == "offcanvas" || $this->countModules('offcanvas')) { 
		include $layout_path.'/offcanvas.php'; 
} ?>



	<?php include($layout_path.'scripts.php'); ?>

	<?php if($useGallery) { ?>
	<script>
		
		jQuery(document).ready(function ($) {
			
			$( window).select_gallery({
				path: '<?php echo JURI::base();?>',
				template: '<?php echo $this->template;?>',
				pinterest: '<?php echo $lb_pinterest;?>',
				twitter: '<?php echo $lb_twitter;?>',
				twitter_name: '<?php echo $twitter_name;?>',
				facebook: '<?php echo $lb_facebook;?>',
				gplus: '<?php echo $lb_gplus;?>',
				lb_download: '<?php echo $lb_download;?>',
				lb_title: '<?php echo $lb_title;?>',
				lb_description: '<?php echo $lb_description;?>',
				lb_author: '<?php echo $lb_author;?>',
				lb_date: '<?php echo $lb_date;?>',
				lb_link: '<?php echo $lb_link;?>'
			});
			
			// Gallery select via hashchange
			$(window).hashchange( function(){
				$( window).select_gallery({
				path: '<?php echo JURI::base();?>',
				template: '<?php echo $this->template;?>',
				pinterest: '<?php echo $lb_pinterest;?>',
				twitter: '<?php echo $lb_twitter;?>',
				twitter_name: '<?php echo $twitter_name;?>',
				facebook: '<?php echo $lb_facebook;?>',
				gplus: '<?php echo $lb_gplus;?>',
				lb_download: '<?php echo $lb_download;?>',
				lb_title: '<?php echo $lb_title;?>',
				lb_description: '<?php echo $lb_description;?>',
				lb_author: '<?php echo $lb_author;?>',
				lb_date: '<?php echo $lb_date;?>',
				lb_link: '<?php echo $lb_link;?>'
				
				});
			});
		});
		
		
	</script>
	<?php } ?>
	
	
	

	<?php if($base_theme == "background") {?>
	<!-- Sits on top of the background image -->
	<div class="overlay"></div>
	<div id="fullscreen-holder"></div>
	<!-- Include the backstretch script -->
	<script>
		
		jQuery(document).ready(function ($) {
			$.backstretch([ 
				
				"<?php echo $bgimage;?>"
			  ], {duration: 8000, fade: 750});
			
		});
	</script>
	<?php } ?>
	
	<div id="path" class="hidden"><?php echo JURI::current();?></div>
	<div id="itemid" class="hidden"><?php echo $itemid;?></div>
	<div id="templateid" class="hidden"><?php echo $templateId;?></div>
	<div id="template" class="hidden"><?php echo $this->template;?></div>
	
	<?php echo $this->params->get("before_body_scripts");?>
	
	</body>
</html>