<?php

// no direct access
defined('_JEXEC') or die('Restricted access');

// Load logic file
include JPATH_THEMES . '/' . $this->template . '/includes/logic.php';


// Recieve input
$jinput = JFactory::getApplication()->input;

// Receive gallery 
$gallery = $jinput->get('gallery', '', 'RAW');

// Get Gallery id
$id = str_replace('gallery-', '', $jinput->get('id', '', 'RAW'));

// Read gallery info
$details = gallery::get_galleries(false, $templateId);

// See if gallery is private
$private = $details[$id]->private;

// Get the gallery name.
// This is mainly used for social sharing functionality
$name = $details[$id]->name;

// Display gallery if user has access
if (gallery::displayGallery($private)) {

    // Large images nominated here mean that large images are applied for large screens.
    // Change this to blank or your template name to use the normal responsive image template.
    // The normal responsive image template uses smaller images for non-featured images on wide screens
    // This is suitable for galleries that display a grid for larger screens
    // Any featured images will use the larger image on wide screens

    $layout_type = 'largeimages';

    // Get the gallery details
    $meta = gallery::get_gallery_content($gallery, $templateId);

    // Retrieve the images from the specific gallery
    $images = gallery::get_gallery_images($gallery, $templateId);

    ?>

    <?php if ($this->countModules('gallery-top')) : ?>
        <!-- Footer Modules -->
        <div class="padding">
            <jdoc:include type="modules" name="gallery-top" style="xhtml"/>
        </div>
    <?php endif; ?>

    <div id="blank">
        <?php // Display the gallery title
        if ($meta->show_title) {
            ?>

            <div class="gallery-main-title">
                <h1><?php echo str_replace('-', ' ', $meta->name); ?></h1>
            </div>

        <?php } ?>

        <?php // Include the social icon blocks
        include $layout_path . '/social.php';
        ?>

        <?php // Gallery Description
        if ($meta->show_description) {
            ?>

            <div class="gallery-desc">
                <?php echo html_entity_decode($meta->description); ?>
            </div>

        <?php } ?>

        <?php // Images are generated inside a list element. Apply a class or id here to target it directly?>
        <ul>
            <?php // Get the images
            gallery::getimages($gallery, $id, $layout_type, $lightbox, $download_text, $templateId); ?>
        </ul>
    </div>


    <script>
        jQuery(document).ready(function ($) {
            $('#gallery-type').attr('class', '');

            // Let the gallery know which class to apply to the gallery
            $('#gallery-type').addClass('blank').attr('data-gallery', 'gallery-<?php echo $id;?>').attr('data-id', '<?php echo $meta->name;?>');


            // Remove fullscreen and split-screen classes because we treat them differently
            $('html').removeClass('split-screen fullscreen');

        });
    </script>

	<?php include $layout_path . '/pagination.php'; ?>
	
    <?php if ($disqus) {
        include $layout_path . '/disqus.php';
    } ?>

    <?php if ($this->countModules('gallery-bottom')) : ?>
        <!-- Footer Modules -->
        <div class="padding">
            <jdoc:include type="modules" name="gallery-bottom" style="xhtml"/>
        </div>
    <?php endif; ?>

<?php } else { 
	 // No Access
	include $layout_path . '/notallowed.php'; ?>
<?php } ?>

<?php // Load the bottom and footer modules
include $layout_path . '/bottom-block.php'; ?>