<?php

// no direct access
defined('_JEXEC') or die('Restricted access');

// Load logic file
include_once(JPATH_ROOT . '/templates/' . TEMPLATE . '/includes/logic.php');

// Get gallery id
$jinput = JFactory::getApplication()->input;
$gallery = $jinput->get('gallery', '', 'RAW');
$id = $jinput->get('id', '', 'RAW');
$id = str_replace('gallery-', '', $id);

// Get Access
$details = gallery::get_galleries(false, $templateId);
$details = $details[$id];
$private = $details->private;
$name = $details->name;
// User logged in
$access = 1;

if ($private) {
    $access = gallery::get_user();
}

if ($access) {

    $meta = gallery::get_gallery_content($gallery, $templateId);
    $layout = gallery::get_layout_details($templateId);
    $count = (count($layout) - 1);
    $images = $meta->images;

    // Featured Pattern
    $featured_pattern = gallery::create_pattern($meta->featured_pattern);

    foreach ($layout as $key => $item) {
        if ($item !== "image") {
            ${$item . $key} = $layout[0];
        }
    }

    $name = $details->name;


    ?>

    <?php if ($this->countModules('gallery-top')) : ?>
        <!-- Footer Modules -->
        <div class="padding container">
            <jdoc:include type="modules" name="gallery-top" style="xhtml"/>
        </div>
    <?php endif; ?>

    <div class="inner-container leading">
        <?php if ($meta->show_title) { ?>
            <div class="gallery-main-title">
                <h1><?php echo str_replace('-', ' ', $meta->name); ?></h1>
            </div>
        <?php } ?>

        <?php include $layout_path . '/social.php'; ?>

        <?php if ($meta->show_description) { ?>
            <div class="gallery-desc">
                <?php echo html_entity_decode($meta->description); ?>
            </div>
        <?php } ?>
    </div>

    <?php

    $index = 0;
    $flag = 1;

    foreach ($images as $key => $image) {

        $featured = $image->featured;

        //echo $index;
        $feature_index = $featured_pattern[$index];

        if ($featured) {
            $resized = explode('|', $image->resized);
            $title = str_replace('-', ' ', $image->title);

            ?>


            <?php if ($key !== 0) {
                echo '</div>';
            }
            $showimage = '<img class="featured" src="' . JURI::base() . $resized[0] . '"
					data-src481="' . JURI::base() . $resized[1] . '" data-src767="' . JURI::base() . $resized[2] . '" data-src1025="' . JURI::base() . $resized[3] . '" data-src1280="' . JURI::base() . $resized[4] . '" data-src1600="' . JURI::base() . $resized[5] . '"
				title="' . $title . '" alt="' . $title . '" />';


            ?>


            <?php if ($key !== 0) {
                echo '</div>';
            }
            echo $showimage;

            echo '<div class="inner-container">';
            $flag = 1;
            $index = ($index) + 1;

        } else {

            $resized = explode('|', $image->resized);
            $title = str_replace('-', ' ', $image->title);

            $image->download = '<p class="download-item"><a title="download ' . $image->title . '" class="btn btn-primary btn-download" href="' . JURI::base() . $image->image . '" download="' . $image->image . '"><span class="icon-download"></span>' . $download_text . '</a></p>';

            if ($lightbox) {
                $image->image = '<div class="zoom-gallery gallery-item"><p class="image-wrap"><a data-date="' . $image->date . '" data-author="' . $image->author . '" data-link="' . $image->link . '" data-link-title="' . $image->link_title . '" title="' . $image->title . '" href="' . $image->image . '" data-desc="' . $image->description . '" ><img src="' . JURI::base() . $resized[0] . '"
						data-src481="' . JURI::base() . $resized[1] . '" data-src767="' . JURI::base() . $resized[2] . '" data-src1025="' . JURI::base() . $resized[3] . '" data-src1280="' . JURI::base() . $resized[4] . '" data-src1600="' . JURI::base() . $resized[5] . '"
					title="' . $title . '" alt="' . $title . '" /></a></div>';
            } else {
                $image->image = '<p><img src="' . $image->image . '" /></p>';
            }
            $image->title = '<h3 class="gallery-item-title">' . $image->title . '</h3>';

            if ($image->description !== "") {
                $image->description = '<p>' . html_entity_decode($image->description) . '</p>';
            }

            $image->date = '<p>' . $image->date . '</p>';
            $image->author = '<p>' . $image->author . '</p>';

            if ($image->link !== "") {
                $image->link = '<p><a class="btn btn-primary" href="' . $image->link . '">' . $image->link_title . '</a></p>';
            }

            $i = 0;

            if ($key == 0) {
                echo '<div class="inner-container">';
            }

            if ($flag == 1) {

                echo '<div class="not-featured first-in-row col col-' . $feature_index . '">';
                $flag = 0;
                
            } else {
                echo '<div class="not-featured col col-' . $feature_index . '">';
            }

            while ($i <= $count) {

                echo $image->$layout[$i];
                $i++;

            }
            echo '</div>';

        }
    }

 ?>
    
    <script>
            jQuery(document).ready(function ($) {
                $('#gallery-type').attr('class', '');
                $('#gallery-type').addClass('featured-2').attr('data-gallery', 'gallery-<?php echo $id;?>').attr('data-id', '<?php echo $meta->name;?>');
    
                $('html').removeClass('split-screen fullscreen');
            });
        </script>

  <?php // Pagination
  	include $layout_path . '/pagination.php'; ?>
     
      <?php // Disqus
       if ($disqus) { include $layout_path . '/disqus.php'; } ?>
  
      <?php // Gallery bottom Modules
      if ($this->countModules('gallery-bottom')) : ?>
          <div class="padding">
              <jdoc:include type="modules" name="gallery-bottom" style="xhtml"/>
          </div>
      <?php endif; ?>
  
  <?php } else { 
  	 // Include the noaccess layout
  	include $layout_path . '/notallowed.php'; ?>
  <?php } ?>
  
  <?php include $layout_path . '/bottom-block.php'; ?>