<?php

// no direct access
defined('_JEXEC') or die('Restricted access');

// Load logic file
include_once(JPATH_ROOT . '/templates/' . TEMPLATE . '/includes/logic.php');

// Recieve input
$jinput = JFactory::getApplication()->input;

// Receive gallery 
$gallery = $jinput->get('gallery', '', 'RAW');

// Get Gallery id
$id = str_replace('gallery-', '', $jinput->get('id', '', 'RAW'));

// Read gallery info
$details = gallery::get_galleries(false, $templateId);

// See if gallery is private
$private = $details[$id]->private;

// Gallery Name
$name = $details[$id]->name;

// Display gallery if user has access
if (gallery::displayGallery($private)) {


    $meta = gallery::get_gallery_content($gallery, $templateId);
    $layout = gallery::get_layout_details($templateId);
    $count = (count($layout) - 1);
    $images = $meta->images;

    foreach ($layout as $key => $item) {
        if ($item !== "image") {
            ${$item . $key} = $layout[0];
        }
    } ?>

    <?php if ($this->countModules('gallery-top')) : ?>
        <!-- Footer Modules -->
        <div class="padding">
            <jdoc:include type="modules" name="gallery-top" style="xhtml"/>
        </div>
    <?php endif; ?>

    <div>

        <?php if ($meta->show_title) { ?>
            <div class="gallery-main-title">
                <h1><?php echo str_replace('-', ' ', $meta->name); ?></h1>
            </div>
        <?php } ?>

        <?php include $layout_path . '/social.php'; ?>

        <?php if ($meta->show_description) { ?>
            <div class="gallery-desc">
                <?php echo html_entity_decode($meta->description); ?>
            </div>
        <?php } ?>
        <div class="callbacks1_container">

            <ul id="slideshow-featured">

                <?php // Featured Slideshow

                foreach ($images as $image) {

                    $featured = $image->featured;

                    if ($featured) {
                        $resized = explode('|', $image->resized);
                        $gallery_url = str_replace(' ', '-', $image->title);
                        $title = str_replace('-', ' ', $image->title);

                        $description = html_entity_decode(strip_tags($image->description));

                        if ($lightbox) {
                            $image = '<div class="zoom-gallery gallery-item"><p><a data-date="' . $image->date . '" data-author="' . $image->author . '" data-link="' . $image->link . '" data-link-title="' . $image->link_title . '" title="' . $image->title . '" data-desc="' . $image->description . '"  href="' . JURI::base() . $image->image . '"><img class="mfp-img" src="' . $resized[1] . '"
									data-src481="' . JURI::base() . $resized[1] . '" data-src767="' . JURI::base() . $resized[2] . '" data-src1025="' . JURI::base() . $resized[2] . '" data-src1280="' . JURI::base() . $resized[3] . '" data-src1600="' . JURI::base() . $resized[4] . '"
									title="' . $image->title . '" alt="' . $image->title . '" /></a></div>';
                        } else {
                            $image = '<p class="gallery-item"><img class="mfp-img" src="' . $resized[1] . '"
									data-src481="' . JURI::base() . $resized[1] . '" data-src767="' . JURI::base() . $resized[2] . '" data-src1025="' . JURI::base() . $resized[2] . '" data-src1280="' . JURI::base() . $resized[3] . '" data-src1600="' . JURI::base() . $resized[4] . '"
									title="' . $image->title . '" alt="' . $image->title . '" /></p>';
                        }


                        echo '<li>';
                        echo '<h3 class="gallery-item-title">' . $title . '</h3>';
                        if ($description !== "") {
                            echo '<p class="gallery-item-description">' . $description . '</p>';
                        }
                        echo $image;
                        echo '</li>';
                    }
                }
                ?>

            </ul>
        </div>

        <!-- Slideshow  Pager -->
        <ul id="thumb-pager">
            <?php

            foreach ($images as $image) {

                $featured = $image->featured;

                if ($featured) {
                    $resized = explode('|', $image->resized);
                    $gallery_url = str_replace(' ', '-', $image->title);
                    $title = str_replace('-', ' ', $image->title);

                    // Image object set based on responsive images
                    $image = '<img src="' . JURI::base() . $resized[6] . '" title="' . $title . '" alt="' . $title . '" />';

                    echo '<li><a href="#">';
                    echo $image;
                    echo '</a></li>';
                }
            }

            ?>

        </ul>
        <div class="clearfix"></div>

        <div class="extra-featured-slideshow">
            <ul>
                <?php // Featured Slideshow

                // Create an array of unfeatured items
                $unfeatured = array();

                foreach ($images as $key => $image) {

                    $featured = $image->featured;

                    if (!$featured) {
                        $unfeatured[] = $image;
                    }
                }

                foreach ($unfeatured as $key => $image) {

                    $resized = explode('|', $image->resized);

                    $image->download = '<p class="download-item"><a title="download ' . $image->title . '" class="btn btn-primary btn-download" href="' . JURI::base() . $image->image . '" download="' . $image->image . '"><span class="icon-download"></span>' . $download_text . '</a></p>';

                    if ($lightbox) {
                        $image->image = '<div class="zoom-gallery gallery-item"><p class="image-wrap"><a data-date="' . $image->date . '" data-author="' . $image->author . '" data-link="' . $image->link . '" data-link-title="' . $image->link_title . '" title="' . $image->title . '" data-desc="' . $image->description . '"  href="' . $image->image . '"><img class="mfp-img" src="' . $resized[1] . '"
							data-src481="' . JURI::base() . $resized[1] . '" data-src767="' . JURI::base() . $resized[0] . '" data-src1025="' . JURI::base() . $resized[1] . '" data-src1280="' . JURI::base() . $resized[1] . '" data-src1600="' . JURI::base() . $resized[1] . '"
							title="' . $image->title . '" alt="' . $image->title . '" /></a></p></div>';
                    } else {
                        $image->image = '<p class="gallery-item image-wrap"><img class="mfp-img" src="' . $resized[0] . '"
							data-src481="' . JURI::base() . $resized[1] . '" data-src767="' . JURI::base() . $resized[1] . '" data-src1025="' . JURI::base() . $resized[1] . '" data-src1280="' . JURI::base() . $resized[1] . '" data-src1600="' . JURI::base() . $resized[1] . '"
							title="' . $image->title . '" alt="' . $image->title . '" /></p>';
                    }

                    $image->title = '<h3>' . $image->title . '</h3>';

                    if ($image->description !== "") {
                        $image->description = '<p>' . html_entity_decode($image->description) . '</p>';
                    }

                    $image->date = '<p class="gallery-item-date">' . $image->date . '</p>';
                    $image->author = '<p class="gallery-item-author">' . $image->author . '</p>';

                    if ($image->link !== "") {
                        $image->link = '<p class="gallery-item-link"><a class="btn btn-primary" href="' . $image->link . '">' . $image->link_title . '</a></p>';
                    }

                    $i = 0;

                    if (($key) % 3 == 0) {
                        echo '<li class="first-in-row col-3">';
                    } else {
                        echo '<li class="col-3">';
                    }

                    while ($i <= $count) {

                        echo $image->$layout[$i];
                        $i++;

                    }
                    echo '</li>';

                    if (($key + 1) % 3 == 0) {
                        echo '<div class="clearfix"></div>';
                    }

                }
                ?>
            </ul>
        </div>


    </div>


    <script>

        jQuery(document).ready(function ($) {
            // Slideshow 4
            $("#slideshow-featured").responsiveSlides({

                auto: true,
                pager: true,
                nav: true,
                speed: 500,
                namespace: "callbacks1",
                manualControls: '#thumb-pager'


            });

            $('#gallery-type').attr('class', '');
            $('#gallery-type').addClass('featured-slideshow').attr('data-gallery', 'gallery-<?php echo $id;?>').attr('data-id', '<?php echo $meta->name;?>');

            $('html').removeClass('split-screen fullscreen');
        });
    </script>


 <?php // Pagination
 	include $layout_path . '/pagination.php'; ?>
    
     <?php // Disqus
      if ($disqus) { include $layout_path . '/disqus.php'; } ?>
 
     <?php // Gallery bottom Modules
     if ($this->countModules('gallery-bottom')) : ?>
         <div class="padding">
             <jdoc:include type="modules" name="gallery-bottom" style="xhtml"/>
         </div>
     <?php endif; ?>
 
 <?php } else { 
 	 // Include the noaccess layout
 	include $layout_path . '/notallowed.php'; ?>
 <?php } ?>
 
 <?php include $layout_path . '/bottom-block.php'; ?>