<?php

// no direct access
defined('_JEXEC') or die('Restricted access');

// Load logic file
include_once(JPATH_ROOT . '/templates/' . TEMPLATE . '/includes/logic.php');

// Recieve input
$jinput = JFactory::getApplication()->input;

// Receive gallery 
$gallery = $jinput->get('gallery', '', 'RAW');

// Get Gallery id
$id = str_replace('gallery-', '', $jinput->get('id', '', 'RAW'));

// Read gallery info
$details = gallery::get_galleries(false, $templateId);

// See if gallery is private
$private = $details[$id]->private;

// Gallery Name
$name = $details[$id]->name;

// Display gallery if user has access
if (gallery::displayGallery($private)) {
    $images = gallery::get_gallery_images($gallery, $templateId);
    $layout = gallery::get_layout_details($templateId);
    $meta = gallery::get_gallery_content($gallery, $templateId);

    $count = (count($layout) - 1);
    // Set up the variables to display based on the order set in the template
    foreach ($layout as $key => $item) {
        if ($item !== "image") {
            ${$item . $key} = $layout[0];
        }
    } ?>

    <?php if ($this->countModules('gallery-top')) : ?>
        <!-- Footer Modules -->
        <div class="padding container">
            <jdoc:include type="modules" name="gallery-top" style="xhtml"/>
        </div>
    <?php endif; ?>

    <?php if ($meta->show_title || $meta->show_description) { ?>
        <div class="gallery-title-wrap">
            <?php if ($meta->show_title) { ?>
                <div class="gallery-main-title">
                    <h1><?php echo str_replace('-', ' ', $meta->name); ?></h1>
                </div>
            <?php } ?>

            <?php if ($meta->show_description) { ?>
                <div class="gallery-desc">
                    <?php echo html_entity_decode($meta->description); ?>
                </div>
            <?php } ?>
        </div>
    <?php } ?>

    <?php include $layout_path . '/social.php'; ?>



    <div id="slide-nav">
        <a class="prev"><span class="icon-left-open"></span></a>
        <a class="next"><span class="icon-right-open"></span></a>
    </div>

    <?php foreach ($images as $key => $image) {
        $image->download = '<p class="download-item"><a title="download ' . $image->title . '" class="btn btn-primary btn-download" href="' . JURI::base() . $image->image . '" download="' . $image->image . '"><span class="icon-download"></span>' . $download_text . '</a></p>';
        $image->image = "";
        $image->title = '<h3>' . $image->title . '</h3>';
        $image->description = '';
        $image->date = '<p>' . $image->date . '</p>';
        $image->author = '<p>' . $image->author . '</p>';
        $image->link = '<a href="' . $image->link . '">' . $image->link_title . '</a>';

        ?>
        <div class="gallery-title title-<?php echo $key; ?>">
            <?php $i = 0;
            while ($i <= $count) {

                echo $image->$layout[$i];
                $i++;

            } ?>

        </div>
    <?php } ?>



    <div id="fullscreen-thumbs">
        <ul>
            <?php foreach ($images as $key => $image) {
                $resized = $image->resized;
                $resized = explode('|', $resized);
                $thumb = $resized[6];
                ?>
                <li id="<?php echo $key; ?>"><img src="<?php echo $thumb; ?>"></a></li>
            <?php } ?>
        </ul>
    </div>

    <div id="fullscreen"></div>
    
    <script>

        jQuery(document).ready(function ($) {


            $('#gallery-type').attr('class', '');
            $('#gallery-type').addClass('fullscreen').attr('data-gallery', 'gallery-<?php echo $id;?>').attr('data-id', '<?php echo $meta->name;?>');

            $('html').addClass('fullscreen');

            $(document).ajaxComplete(function () {


                var windowHeight = $(window).height();
                var windowWidth = $(window).width();
                $('#fullscreen').height(windowHeight).width(windowWidth);
				$('#fullscreen-thumbs,#slide-nav').css({"margin-top":windowHeight - 200});
				
                $(window).resize(function () {
                    var windowHeight = $(window).height();
                    var windowWidth = $(window).width();
                    $('#fullscreen').height(windowHeight).width(windowWidth);
                    $('#fullscreen-thumbs,#slide-nav').css({"margin-top":windowHeight - 200});
                });

                $('#fullscreen').backstretch([

                    <?php
                        $images = gallery::get_gallery_images($gallery,$templateId);
                        foreach ($images as $image) {
                        echo '"';
                        echo JURI::base().$image->image;
                        echo '",';
                    } ?>
                ], {duration: 8000, fade: 750, centeredX: false});

                $('.next').click(function () {
                   $('#fullscreen').backstretch("next");
                });

                $('.prev').click(function () {
                    $('#fullscreen').backstretch("prev");
                });
            });


            $(window).on("backstretch.before", function (e, instance, index) {
                $("#fullscreen-thumbs li").removeClass('active');
                $("#fullscreen-thumbs li#" + index).addClass('active');
                $(".gallery-title").removeClass('active');

            });

            $(window).on("backstretch.after", function (e, instance, index) {
                $(".gallery-title.title-" + index).addClass('active');

            });

            $(document).on('.fullscreen #menu li a,.fullscreen .next-gallery,.fullscreen .previous-gallery', 'click', function () {
                $('#fullscreen').backstretch('destroy');

                window.location.href = this.href;
                return false;
            });


            $('#fullscreen-thumbs li').click(function () {
                var slide = $(this).attr('id');
                $('#fullscreen').backstretch("show", slide);
            });


            $('html').removeClass('split-screen');
        });
    </script>
    <div class="container-fix">
    	
    	<?php // Pagination
    		include $layout_path . '/pagination.php'; ?>
    	   
    	    <?php // Disqus
    	     if ($disqus) { include $layout_path . '/disqus.php'; } ?>
    	
    	    <?php // Gallery bottom Modules
    	    if ($this->countModules('gallery-bottom')) : ?>
    	        <div class="padding">
    	            <jdoc:include type="modules" name="gallery-bottom" style="xhtml"/>
    	        </div>
    	    <?php endif; ?>
    	
    	<?php } else { 
    		 // Include the noaccess layout
    		include $layout_path . '/notallowed.php'; ?>
    	<?php } ?>
    	
    	<?php include $layout_path . '/bottom-block.php'; ?>
    </div>
</div>