<?php

// no direct access
defined('_JEXEC') or die('Restricted access');

// Load logic file
include_once(JPATH_ROOT . '/templates/' . TEMPLATE . '/includes/logic.php');

// Recieve input
$jinput = JFactory::getApplication()->input;

// Receive gallery 
$gallery = $jinput->get('gallery', '', 'RAW');

// Get Gallery id
$id = str_replace('gallery-', '', $jinput->get('id', '', 'RAW'));

// Read gallery info
$details = gallery::get_galleries(false, $templateId);

// See if gallery is private
$private = $details[$id]->private;

// Gallery Name
$name = $details[$id]->name;

// Display gallery if user has access
if (gallery::displayGallery($private)) {

    $layout_type = 'masonry';
    $meta = gallery::get_gallery_content($gallery, $templateId);
    $name = $details[$id]->name;
    ?>

    <?php if ($this->countModules('gallery-top')) : ?>
        <!-- Footer Modules -->
        <div class="padding">
            <jdoc:include type="modules" name="gallery-top" style="xhtml"/>
        </div>
    <?php endif; ?>

    <?php if ($meta->show_title) { ?>
        <div class="gallery-main-title">
            <h1><?php echo str_replace('-', ' ', $meta->name); ?></h1>
        </div>
    <?php } ?>

    <?php include $layout_path . '/social.php'; ?>

    <?php if ($meta->show_description) { ?>
        <div class="gallery-desc">
            <?php echo html_entity_decode($meta->description); ?>
        </div>
    <?php } ?>
    <div id="container" style="position: relative; height: 0px;display: none;">

        <?php // Get the images

        gallery::getimages($gallery, $id, $layout_type, $lightbox, $download_text, $templateId);

        ?>
    </div>

    <div class="clearfix"></div>

    <script>
        jQuery(document).ready(function ($) {

            $('#gallery-type').attr('class', '');
            $('#gallery-type').addClass('masonry').attr('data-gallery', 'gallery-<?php echo $id;?>').attr('data-id', '<?php echo $meta->name;?>');

            $('html').removeClass('split-screen fullscreen');

            // layout Isotope again after all images have loaded
            $('#gallery img').imagesLoaded(function () {

            }).done(function (instance) {

                // with jQuery
                setTimeout(function () {
                    $('#container').fadeIn();

                    $('#container').isotope({
                        itemSelector: '.gallery-item',

                        // layout mode options
                        masonry: {
                            columnWidth: 230,
                            gutter: 20
                        }
                    });
                }, 600);

                // 600 is a slight delay so we can allow the ajax to render
            });
        });
    </script>
 <?php // Pagination
 	include $layout_path . '/pagination.php'; ?>
    
     <?php // Disqus
      if ($disqus) { include $layout_path . '/disqus.php'; } ?>
 
     <?php // Gallery bottom Modules
     if ($this->countModules('gallery-bottom')) : ?>
         <div class="padding">
             <jdoc:include type="modules" name="gallery-bottom" style="xhtml"/>
         </div>
     <?php endif; ?>
 
 <?php } else { 
 	 // Include the noaccess layout
 	include $layout_path . '/notallowed.php'; ?>
 <?php } ?>
 
 <?php include $layout_path . '/bottom-block.php'; ?>