<?php

// no direct access
defined('_JEXEC') or die('Restricted access');

// Load logic file
include_once(JPATH_ROOT . '/templates/' . TEMPLATE . '/includes/logic.php');

// Recieve input
$jinput = JFactory::getApplication()->input;

// Receive gallery 
$gallery = $jinput->get('gallery', '', 'RAW');

// Get Gallery id
$id = str_replace('gallery-', '', $jinput->get('id', '', 'RAW'));

// Read gallery info
$details = gallery::get_galleries(false, $templateId);

// See if gallery is private
$private = $details[$id]->private;

// Gallery Name
$name = $details[$id]->name;

// Display gallery if user has access
if (gallery::displayGallery($private)) {

    $meta = gallery::get_gallery_content($gallery, $templateId);
    $layout = gallery::get_layout_details($templateId);
    $count = (count($layout) - 1);
    $images = $meta->images;

    $featured_pattern = gallery::create_pattern($meta->featured_pattern);


    foreach ($layout as $key => $item) {
        if ($item !== "image") {
            ${$item . $key} = $layout[0];
        }
    }

    ?>


    <div id="parallax">
        <div class="inner-container leading">

            <?php if ($this->countModules('gallery-top')) : ?>
                <!-- Footer Modules -->
                <div class="padding">
                    <jdoc:include type="modules" name="gallery-top" style="xhtml"/>
                </div>
            <?php endif; ?>

            <?php if ($meta->show_title) { ?>
                <div class="gallery-main-title">
                    <h1><?php echo str_replace('-', ' ', $meta->name); ?></h1>
                </div>
            <?php } ?>

            <?php include $layout_path . '/social.php'; ?>

            <?php if ($meta->show_description) { ?>
                <div class="gallery-desc">
                    <?php echo html_entity_decode($meta->description); ?>
                </div>
            <?php } ?>
        </div>

        <?php // Featured Slideshow

        $index = 0;
        $flag = 0;
        foreach ($images as $key => $image) {

            $featured = $image->featured;

            //echo $index;
            $feature_index = $featured_pattern[$index];

            if ($featured) {
                $resized = explode('|', $image->resized);
                $title = str_replace('-', ' ', $image->title);

                ?>


                <?php if ($key !== 0) {
                    echo '</div>';
                }
                echo '<section data-speed="16" data-type="background" class="parallax-image" style="background:url(' . $image->image . ') center no-repeat;background-size: cover;
				background-attachment: fixed">';
                echo '</section>';
                echo '<div class="inner-container">';
                echo '<h2>' . $title . '</h2>';
                echo '<div class="featured-description">';
                echo html_entity_decode($image->description);
                echo '</div>';
                $flag = 1;
                $index = ($index) + 1;

            } else {

                $resized = explode('|', $image->resized);
                $title = str_replace('-', ' ', $image->title);
                $image->download = '<p class="download-item"><a title="download ' . $image->title . '" class="btn btn-primary btn-download" href="' . JURI::base() . $image->image . '" download="' . $image->image . '"><span class="icon-download"></span>' . $download_text . '</a></p>';
                if ($lightbox) {
                    $image->image = '<div class="zoom-gallery gallery-item"><p class="image-wrap"><a data-date="' . $image->date . '" data-author="' . $image->author . '" data-link="' . $image->link . '" data-link-title="' . $image->link_title . '" data-desc="' . $image->description . '"  title="' . $image->title . '" href="' . $image->image . '"><img class="mfp-img" src="' . $resized[1] . '"
						data-src481="' . JURI::base() . $resized[1] . '" data-src767="' . JURI::base() . $resized[1] . '" data-src1025="' . JURI::base() . $resized[3] . '" data-src1280="' . JURI::base() . $resized[3] . '" data-src1600="' . JURI::base() . $resized[3] . '"
						title="' . $image->title . '" alt="' . $image->title . '" /></a></p></div>';
                } else {
                    $image->image = '<p><img class="mfp-img" src="' . $resized[1] . '"
							data-src481="' . JURI::base() . $resized[1] . '" data-src767="' . JURI::base() . $resized[1] . '" data-src1025="' . JURI::base() . $resized[3] . '" data-src1280="' . JURI::base() . $resized[3] . '" data-src1600="' . JURI::base() . $resized[3] . '"
							title="' . $image->title . '" alt="' . $image->title . '" /></p>';
                }

                $image->title = '<h3 class="gallery-item-title">' . $image->title . '</h3>';

                if ($image->description !== "") {
                    $image->description = '<p>' . html_entity_decode($image->description) . '</p>';
                }

                $image->date = '<p>' . $image->date . '</p>';
                $image->author = '<p>' . $image->author . '</p>';

                if ($image->link !== "") {
                    $image->link = '<p><a class="btn btn-primary" href="' . $image->link . '">' . $image->link_title . '</a></p>';
                }

                $i = 0;

                if ($flag == 1) {

                    echo '<div class="not-featured first-in-row col col-' . $feature_index . '">';
                    $flag = 0;
                } else {
                    echo '<div class="not-featured col col-' . $feature_index . '">';
                }

                while ($i <= $count) {

                    echo $image->$layout[$i];
                    $i++;

                }
                echo '</div>';

            }
        } ?>


        <script>
            jQuery(document).ready(function ($) {
                $('#gallery-type').attr('class', '');
                $('#gallery-type').addClass('parallax').attr('data-gallery', 'gallery-<?php echo $id;?>').attr('data-id', '<?php echo $meta->name;?>');

                $('html').removeClass('split-screen fullscreen');

                var isMobile = {
                    Android: function () {
                        return navigator.userAgent.match(/Android/i);
                    },
                    BlackBerry: function () {
                        return navigator.userAgent.match(/BlackBerry/i);
                    },
                    iOS: function () {
                        return navigator.userAgent.match(/iPhone|iPad|iPod/i);
                    },
                    Opera: function () {
                        return navigator.userAgent.match(/Opera Mini/i);
                    },
                    Windows: function () {
                        return navigator.userAgent.match(/IEMobile/i);
                    },
                    any: function () {
                        return (isMobile.Android() || isMobile.BlackBerry() || isMobile.iOS() || isMobile.Opera() || isMobile.Windows());
                    }
                };


                if (!isMobile.any()) {
                    // Uber Easy Parallax
                    jQuerywindow = jQuery(window);

                    jQuery('section[data-type="background"]').each(function () {
                        var jQuerybgobj = jQuery(this); // assigning the object

                        jQuery(window).scroll(function () {

                            // Scroll the background at var speed
                            // the yPos is a negative value because we're scrolling it UP!
                            var yPos = -(jQuerywindow.scrollTop() / jQuerybgobj.data('speed'));

                            // Put together our final background position
                            var coords = '50% ' + yPos + 'px';

                            // Move the background
                            jQuerybgobj.css({ backgroundPosition: coords });

                        }); // window scroll Ends
                    });

                }
                ;

                if (isMobile.any()) {
                    jQuery('html').addClass('touch');
                }
            });
        </script>
    </div>
    <div class="clearfix"></div>
	 <div class="container-fix">
	 	<?php // Pagination
 	include $layout_path . '/pagination.php'; ?>
    
     <?php // Disqus
      if ($disqus) { include $layout_path . '/disqus.php'; } ?>
 
     <?php // Gallery bottom Modules
     if ($this->countModules('gallery-bottom')) : ?>
         <div class="padding">
             <jdoc:include type="modules" name="gallery-bottom" style="xhtml"/>
         </div>
     <?php endif; ?>
 	</div>
 <?php } else { 
 	 // Include the noaccess layout
 	include $layout_path . '/notallowed.php'; ?>
 <?php } ?>
 <div class="container-fix">
 <?php include $layout_path . '/bottom-block.php'; ?>
 </div>