<?php

// no direct access
defined('_JEXEC') or die('Restricted access');

// Load logic file
include_once(JPATH_ROOT . '/templates/' . TEMPLATE . '/includes/logic.php');

// Recieve input
$jinput = JFactory::getApplication()->input;

// Receive gallery 
$gallery = $jinput->get('gallery', '', 'RAW');

// Get Gallery id
$id = str_replace('gallery-', '', $jinput->get('id', '', 'RAW'));

// Read gallery info
$details = gallery::get_galleries(false, $templateId);

// See if gallery is private
$private = $details[$id]->private;

// Gallery Name
$name = $details[$id]->name;

// Display gallery if user has access
if (gallery::displayGallery($private)) {

    // Get Gallery Content
    $meta = gallery::get_gallery_content($gallery, $templateId);

    // Define Layout Type
    $layout_type = 'photoset';

    // Get Gallery Images
    $images = gallery::get_gallery_images($gallery, $templateId);

    // Create the Photoset Pattern
    $layout = gallery::create_photoset_pattern($meta->featured_pattern);

    $name = $details[$id]->name;


    ?>

    <?php if ($this->countModules('gallery-top')) : ?>
        <!-- Footer Modules -->
        <div class="padding">
            <jdoc:include type="modules" name="gallery-top" style="xhtml"/>
        </div>
    <?php endif; ?>


    <?php if ($meta->show_title) { ?>
        <div class="gallery-main-title">
            <h1><?php echo str_replace('-', ' ', $meta->name); ?></h1>
        </div>
    <?php } ?>

    <?php include $layout_path . '/social.php'; ?>

    <?php if ($meta->show_description) { ?>
        <div class="gallery-desc">
            <?php echo html_entity_decode($meta->description); ?>
        </div>
    <?php } ?>


    <div class="photoset" data-layout="<?php echo $layout; ?>">
        <?php foreach ($images as $image) {

            echo '<img title="' . $image->title . '" data-link-title="' . $image->link_title . '" data-link="' . $image->link . '" data-date="' . $image->date . '" data-author="' . $image->author . '" data-desc="' . $image->description . '" src="' . JURI::base() . $image->image . '""/>';
        } ?>
    </div>

    <script>

        jQuery(document).ready(function ($) {

            $('#gallery-type').attr('class', '');
            $('#gallery-type').addClass('photoset-layout').attr('data-gallery', 'gallery-<?php echo $id;?>').attr('data-id', '<?php echo $meta->name;?>');

            $('html').removeClass('split-screen fullscreen');

            var twitter = '<?php echo $twitter;?>';

            $('#gallery img').imagesLoaded(function () {

                $('.photoset').photosetGrid({

                    // Set the gutter between columns and rows
                    gutter: '5px',

                    <?php if($lightbox) { ?>
                    // Wrap the images in links
                    highresLinks: true,
                    <?php } ?>
                    // Asign a common rel attribute
                    rel: 'print-gallery',

                    onComplete: function () {
                        // Show the grid after it renders


                        <?php if($lightbox) { ?>
                        $('.photoset').magnificPopup({
                            delegate: 'a', // child items selector, by clicking on it popup will open
                            type: 'image',
                            mainClass: 'mfp-with-zoom', // this class is for CSS animation below
                            closeOnContentClick: true,

                            image: {
                                verticalFit: true,

                                titleSrc: function (item) {

                                    var display = '';

									<?php if($lb_title || $lb_download) { ?>
                                    display += '<h3>';

                                    <?php if($lb_download) { ?>
                                    display += '<a class="lb_download" href="' + item.el.attr('href') + '" download="' + item.el.attr('title') + '">';
                                    <?php } ?>

                                    display += item.el.attr('title');

                                    <?php if($lb_download) { ?>
                                    display += '<span class="icon-download"></span></a>';
                                    <?php } ?>

                                    display += '</h3>';

                                    <?php } ?>

                                    <?php if($lb_description) { ?>
                                    display += '<p>' + item.el.attr('data-desc') + '</p>';
                                    <?php } ?>

                                    <?php if($lb_date || $lb_author || $lb_link) { ?>
                                    display += '<p class="lb_meta">';
                                    <?php if($lb_date) { ?>
                                    display += '<span>' + item.el.attr('data-date') + '</span>';
                                    <?php } ?>

                                    <?php if($lb_author) { ?>
                                    display += '<span>' + item.el.attr('data-author') + '</span>';
                                    <?php } ?>

                                    <?php if($lb_link) { ?>

                                    if (item.el.attr('data-link') !== "") {
                                        display += '<a class="floatright lb_link" href="' + item.el.attr('data-link') + '">' + item.el.attr('data-link-title');
                                    }
                                    <?php } ?>

                                    display += '</p>';
                                    <?php } ?>

                                    // Refer to http://developers.pinterest.com/pin_it/
                                    <?php if($lb_pinterest)  { ?>
                                    var pinItURL = "http://pinterest.com/pin/create/button/";
                                    pinItURL += '?url=<?php echo JURI::current();?>';
                                    pinItURL += '&media=' + encodeURIComponent(item.el.attr('href'));
                                    pinItURL += '&description=' + item.el.attr('title');
                                    display += '<a class="pin-it" href="' + pinItURL + '" target="_blank"><img src="http://assets.pinterest.com/images/pidgets/pin_it_button.png" /></a>';
                                    <?php } ?>

                                    <?php if($lb_facebook)  { ?>
                                    display += '<div class="fb-like" data-href="' + item.el.attr('href') + '" data-layout="button_count" data-action="like" data-show-faces="true" data-share="true"></div>';
                                    <?php } ?>


                                    <?php if($lb_twitter)  { ?>
                                    display += "<div class='tweet-this'><a href='https://twitter.com/share' class='twitter-share-button' data-via='<?php echo $twitter_name;?>' data-url='" + item.el.attr('href') + "' data-text='" + item.el.attr('title') + "'>Tweet</a></div><script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');";
                                    display += '<\/script>';
                                    <?php } ?>

                                    <?php if($lb_gplus)  { ?>
                                    display += '<div class="g-plusone" data-size="medium" data-href="' + item.el.attr('href') + '"></div>';

                                    <!-- Place this tag after the last +1 button tag. -->
                                    display += "<script type='text/javascript'>(function() {var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;po.src = 'https://apis.google.com/js/platform.js';var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);})();<\/script>";
                                    <?php } ?>

                                    $.ajax({ url: 'http://platform.twitter.com/widgets.js', dataType: 'script', cache: true});


                                    $(document).ajaxComplete(function () {
                                        try {
                                            FB.XFBML.parse();
                                        } catch (ex) {
                                        }
                                    });

                                    return display;
                                }

                            },

                            gallery: {
                                enabled: true
                            },

                            zoom: {
                                enabled: true, // By default it's false, so don't forget to enable it
                                duration: 300, // duration of the effect, in milliseconds
                                easing: 'ease-in-out', // CSS transition easing function
                            },

                            beforeOpen: function () {
                                // just a hack that adds mfp-anim class to markup
                                this.st.image.markup = this.st.image.markup.replace('mfp-figure', 'mfp-figure mfp-with-anim mfp-move-horizontal');
                                this.st.mainClass = this.st.el.attr('data-effect');
                            }
                            // other options
                        });
                        <?php } ?>
                    }
                });
            });
        });
    </script>

<?php // Pagination
	include $layout_path . '/pagination.php'; ?>
   
    <?php // Disqus
     if ($disqus) { include $layout_path . '/disqus.php'; } ?>

    <?php // Gallery bottom Modules
    if ($this->countModules('gallery-bottom')) : ?>
        <div class="padding">
            <jdoc:include type="modules" name="gallery-bottom" style="xhtml"/>
        </div>
    <?php endif; ?>

<?php } else { 
	 // Include the noaccess layout
	include $layout_path . '/notallowed.php'; ?>
<?php } ?>

<?php include $layout_path . '/bottom-block.php'; ?>