<?php

// no direct access
defined('_JEXEC') or die('Restricted access');

// Load logic file
include_once(JPATH_ROOT . '/templates/' . TEMPLATE . '/includes/logic.php');

// Recieve input
$jinput = JFactory::getApplication()->input;

// Receive gallery 
$gallery = $jinput->get('gallery', '', 'RAW');

// Get Gallery id
$id = str_replace('gallery-', '', $jinput->get('id', '', 'RAW'));

// Read gallery info
$details = gallery::get_galleries(false, $templateId);

// See if gallery is private
$private = $details[$id]->private;

// Gallery Name
$name = $details[$id]->name;

// Display gallery if user has access
if (gallery::displayGallery($private)) {


	$layout = gallery::get_layout_details($templateId);
	$meta = gallery::get_gallery_content($gallery, $templateId);
	$images = gallery::get_gallery_images($gallery, $templateId);
	$count = (count($layout) - 1);
	
	// Set up the variables to display based on the order set in the template
	foreach ($layout as $key => $item) {
	    if ($item !== "image") {
	        ${$item . $key} = $layout[0];
	    }
	} ?>
	
	<?php include $layout_path . '/social.php'; ?>
	
	<div id="split-fullscreen"></div>
	<div class="half">
	    <div class="half-inner">
	
	        <?php if ($this->countModules('gallery-top')) : ?>
	            <!-- Footer Modules -->
	            <div class="padding">
	                <jdoc:include type="modules" name="gallery-top" style="xhtml"/>
	            </div>
	        <?php endif; ?>
	
	        <?php if ($meta->show_title) { ?>
	            <div class="gallery-main-title">
	                <h1><?php echo str_replace('-', ' ', $meta->name); ?></h1>
	            </div>
	        <?php } ?>
	
	        
	
	        <?php if ($meta->show_description) { ?>
	            <div class="gallery-desc">
	                <?php echo html_entity_decode($meta->description); ?>
	            </div>
	        <?php } ?>
	
	        <?php foreach ($images as $key => $image) {
	
	        		if (!$image->featured) {
	
		            	$resized = explode('|', $image->resized);
		
		            	$image->download = '<p class="download-item"><a title="download ' . $image->title . '" class="btn btn-primary btn-download" href="' . JURI::base() . $image->image . '" download="' . $image->image . '"><span class="icon-download"></span>' . $download_text . '</a></p>';
		
		            	if ($lightbox) {
		            	    // Set the basic markup for each element
		            	    $image->image = '<div class="zoom-gallery gallery-item"><p><a data-date="' . $image->date . '" data-author="' . $image->author . '" data-link="' . $image->link . '" data-link-title="' . $image->link_title . '" title="' . $image->title . '" href="' . JURI::base() . $image->image . '" data-desc="' . $image->description . '" ><img src="' . $resized[0] . '"
								data-src481="' . JURI::base() . $resized[1] . '" data-src767="' . JURI::base() . $resized[1] . '" data-src1025="' . JURI::base() . $resized[2] . '" data-src1280="' . JURI::base() . $resized[2] . '" data-src1600="' . JURI::base() . $resized[5] . '"
							title="' . $image->title . '" alt="' . $image->title . '" /></a></p></div>';
		        	    } else {
		            	    $image->image = '<p class="gallery-item"><img src="' . JURI::base() . $resized[0] . '"
								data-src481="' . JURI::base() . $resized[1] . '" data-src767="' . JURI::base() . $resized[1] . '" data-src1025="' . JURI::base() . $resized[2] . '" data-src1280="' . JURI::base() . $resized[2] . '" data-src1600="' . JURI::base() . $resized[5] . '"
							title="' . $image->title . '" alt="' . $image->title . '" /></p>';
		           		}
		
		
		         	   $image->title = '<h3>' . $image->title . '</h3>';
		         	   $image->description = html_entity_decode($image->description);
		         	   $image->date = '<p>' . $image->date . '</p>';
		         	   $image->author = '<p>' . $image->author . '</p>';
		         	   $image->link = '<a href="' . $image->link . '">' . $image->link_title . '</a>';
		
		           		$i = 0;
		
		            		while ($i <= $count) {
		
		                		echo $image->$layout[$i];
		                	$i++;
		
		            		} 
		        	} 
		        }?>
	
	
	            <script>
	
	                jQuery(document).ready(function ($) {
	
	                    $('#gallery-type').attr('class', '');
	                    $('#gallery-type').addClass('split').attr('data-gallery', 'gallery-<?php echo $id;?>').attr('data-id', '<?php echo $meta->name;?>');
	
	                    $('html').addClass('split-screen');
	
	                    $(document).on('#menu li a,.pagination a', 'click', function () {
	                        $.backstretch('destroy');
	
	                    });
	
	
	                    var windowHeight = $(window).height() - 77;
	                    var windowWidth = $(window).width();
	                    $('#split-fullscreen').height(windowHeight).width(windowWidth);
	                    $('.bottom #split-fullscreen').height(windowHeight + 4).width(windowWidth);
	                    $('.offcanvas #split-fullscreen').height(windowHeight + 77).width(windowWidth);
	
	                    $(window).resize(function () {
	                        var windowHeight = $(window).height() - 77;
	                        var windowWidth = $(window).width();
	                        $('#split-fullscreen').height(windowHeight).width(windowWidth);
	                        $('.bottom #split-fullscreen').height(windowHeight + 4).width(windowWidth);
	                        $('.offcanvas #split-fullscreen').height(windowHeight + 77).width(windowWidth);
	                    });
	
	                    $('#split-fullscreen').backstretch([
	
	                        <?php
	                            $images = gallery::get_gallery_images($gallery,$templateId);
	                            foreach ($images as $image) {
	                            if($image->featured) {
	                                echo '"';
	                                echo JURI::base().$image->image;
	                                echo '",';
	                            }
	                        } ?>
	                    ], {duration: 8000, fade: 750});
	
	
	                });
	            </script>
	
	
	       <?php // Pagination
	       	include $layout_path . '/pagination.php'; ?>
	          
	           <?php // Disqus
	            if ($disqus) { include $layout_path . '/disqus.php'; } ?>
	       
	           <?php // Gallery bottom Modules
	           if ($this->countModules('gallery-bottom')) : ?>
	               <div class="padding">
	                   <jdoc:include type="modules" name="gallery-bottom" style="xhtml"/>
	               </div>
	           <?php endif; ?>
	       
	       <?php } else { 
	       	 // Include the noaccess layout
	       	include $layout_path . '/notallowed.php'; ?>
	       <?php } ?>
	       
	       <?php include $layout_path . '/bottom-block.php'; ?>

    </div>

</div>
	
	
